Result of following commands:

cp -a bash-completion-2.15.0 bash-completion-2.15.0.old

find bash-completion-2.15.0/completions/ -type f -exec sed -i 's/ grep / ggrep /g' {} \;
find bash-completion-2.15.0/completions/ -type f -exec sed -i 's/ sed / gsed /g' {} \;

find bash-completion-2.15.0/bash_completion -type f -exec sed -i 's/ grep / ggrep /g' {} \;
find bash-completion-2.15.0/bash_completion -type f -exec sed -i 's/ sed / gsed /g' {} \;

gdiff -pruN bash-completion-2.15.0.old bash-completion-2.15.0 | less

And check the result.
diff -pruN bash-completion-2.15.0.old/bash_completion bash-completion-2.15.0/bash_completion
--- bash-completion-2.15.0.old/bash_completion	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/bash_completion	2024-11-30 21:21:33.722327150 +0100
@@ -1709,7 +1709,7 @@ _comp_compgen_mac_addresses()
     _comp_compgen -v addresses split -- "$(
         {
             LC_ALL=C ifconfig -a || ip -c=never link show || ip link show
-        } 2>/dev/null | command sed -ne \
+        } 2>/dev/null | command gsed -ne \
             "s/.*[[:space:]]HWaddr[[:space:]]\{1,\}\($_re\)[[:space:]].*/\1/p" -ne \
             "s/.*[[:space:]]HWaddr[[:space:]]\{1,\}\($_re\)[[:space:]]*$/\1/p" -ne \
             "s|.*[[:space:]]\(link/\)\{0,1\}ether[[:space:]]\{1,\}\($_re\)[[:space:]].*|\2|p" -ne \
@@ -1720,13 +1720,13 @@ _comp_compgen_mac_addresses()
     _comp_compgen -av addresses split -- "$(
         {
             arp -an || ip -c=never neigh show || ip neigh show
-        } 2>/dev/null | command sed -ne \
+        } 2>/dev/null | command gsed -ne \
             "s/.*[[:space:]]\($_re\)[[:space:]].*/\1/p" -ne \
             "s/.*[[:space:]]\($_re\)[[:space:]]*$/\1/p"
     )"
 
     # /etc/ethers
-    _comp_compgen -av addresses split -- "$(command sed -ne \
+    _comp_compgen -av addresses split -- "$(command gsed -ne \
         "s/^[[:space:]]*\($_re\)[[:space:]].*/\1/p" /etc/ethers 2>/dev/null)"
 
     _comp_compgen -U addresses ltrim_colon "${addresses[@]}"
@@ -1741,22 +1741,22 @@ _comp_compgen_configured_interfaces()
     if [[ -f /etc/debian_version ]]; then
         # Debian system
         _comp_expand_glob files '/etc/network/interfaces /etc/network/interfaces.d/*' || return 0
-        _comp_compgen -U files split -- "$(command sed -ne \
+        _comp_compgen -U files split -- "$(command gsed -ne \
             's|^iface \([^ ]\{1,\}\).*$|\1|p' "${files[@]}" 2>/dev/null)"
     elif [[ -f /etc/SuSE-release ]]; then
         # SuSE system
         _comp_expand_glob files '/etc/sysconfig/network/ifcfg-*' || return 0
         _comp_compgen -U files split -- "$(printf '%s\n' "${files[@]}" |
-            command sed -ne 's|.*ifcfg-\([^*].*\)$|\1|p')"
+            command gsed -ne 's|.*ifcfg-\([^*].*\)$|\1|p')"
     elif [[ -f /etc/pld-release ]]; then
         # PLD Linux
         _comp_compgen -U files split -- "$(command ls -B /etc/sysconfig/interfaces |
-            command sed -ne 's|.*ifcfg-\([^*].*\)$|\1|p')"
+            command gsed -ne 's|.*ifcfg-\([^*].*\)$|\1|p')"
     else
         # Assume Red Hat
         _comp_expand_glob files '/etc/sysconfig/network-scripts/ifcfg-*' || return 0
         _comp_compgen -U files split -- "$(printf '%s\n' "${files[@]}" |
-            command sed -ne 's|.*ifcfg-\([^*].*\)$|\1|p')"
+            command gsed -ne 's|.*ifcfg-\([^*].*\)$|\1|p')"
     fi
 }
 
@@ -1781,7 +1781,7 @@ _comp_compgen_ip_addresses()
     _comp_compgen -v addrs split -- "$({
         LC_ALL=C ifconfig -a || ip -c=never addr show || ip addr show
     } 2>/dev/null |
-        command sed -e 's/[[:space:]]addr:/ /' -ne \
+        command gsed -e 's/[[:space:]]addr:/ /' -ne \
             "s|.*inet${_n}[[:space:]]\{1,\}\([^[:space:]/]*\).*|\1|p")" ||
         return
 
@@ -1922,17 +1922,17 @@ if [[ $OSTYPE == *@(solaris|aix)* ]]; th
     # This function completes on process IDs.
     _comp_compgen_pids()
     {
-        _comp_compgen_split -- "$(command ps -efo pid | command sed 1d)"
+        _comp_compgen_split -- "$(command ps -efo pid | command gsed 1d)"
     }
 
     _comp_compgen_pgids()
     {
-        _comp_compgen_split -- "$(command ps -efo pgid | command sed 1d)"
+        _comp_compgen_split -- "$(command ps -efo pgid | command gsed 1d)"
     }
     _comp_compgen_pnames()
     {
         _comp_compgen_split -X '<defunct>' -- "$(command ps -efo comm |
-            command sed -e 1d -e 's:.*/::' -e 's/^-//' | sort -u)"
+            command gsed -e 1d -e 's:.*/::' -e 's/^-//' | sort -u)"
     }
 else
     _comp_compgen_pids()
@@ -1948,7 +1948,7 @@ else
     {
         local -a procs=()
         if [[ ${1-} == -s ]]; then
-            _comp_split procs "$(command ps ax -o comm | command sed -e 1d)"
+            _comp_split procs "$(command ps ax -o comm | command gsed -e 1d)"
         else
             # Some versions of ps don't support "command", but do "comm", e.g.
             # some busybox ones. Fall back
@@ -2090,7 +2090,7 @@ _comp_complete_service()
     else
         local sysvdirs
         _comp_sysvdirs || return 1
-        _comp_compgen_split -l -- "$(command sed -e 'y/|/ /' \
+        _comp_compgen_split -l -- "$(command gsed -e 'y/|/ /' \
             -ne 's/^.*\(U\|msg_u\)sage.*{\(.*\)}.*$/\2/p' \
             "${sysvdirs[0]}/${prev##*/}" 2>/dev/null) start stop"
     fi
@@ -2120,7 +2120,7 @@ _comp_compgen_kernel_modules()
 {
     local _modpath=/lib/modules/$1
     _comp_compgen_split -- "$(command ls -RL "$_modpath" 2>/dev/null |
-        command sed -ne 's/^\(.*\)\.k\{0,1\}o\(\.[gx]z\)\{0,1\}$/\1/p' \
+        command gsed -ne 's/^\(.*\)\.k\{0,1\}o\(\.[gx]z\)\{0,1\}$/\1/p' \
             -e 's/^\(.*\)\.ko\.zst$/\1/p')"
 }
 
@@ -2443,7 +2443,7 @@ _comp_compgen_dvd_devices()
 _comp_compgen_terms()
 {
     _comp_compgen_split -- "$({
-        command sed -ne 's/^\([^[:space:]#|]\{2,\}\)|.*/\1/p' /etc/termcap
+        command gsed -ne 's/^\([^[:space:]#|]\{2,\}\)|.*/\1/p' /etc/termcap
         {
             toe -a || toe
         } | _comp_awk '{ print $1 }'
@@ -2458,7 +2458,7 @@ _comp_try_faketty()
 {
     if type unbuffer &>/dev/null; then
         unbuffer -p "$@"
-    elif script --version 2>&1 | command grep -qF util-linux; then
+    elif script --version 2>&1 | command ggrep -qF util-linux; then
         # BSD and Solaris "script" do not seem to have required features
         script -qaefc "$*" /dev/null
     else
@@ -2539,7 +2539,7 @@ _comp__included_ssh_config_files()
     # https://github.com/openssh/openssh-portable/blob/5ec5504f1d328d5bfa64280cd617c3efec4f78f3/readconf.c#L2240
     local max_depth=16
     while ((${#included[@]} > 0 && depth++ < max_depth)); do
-        _comp_split include_files "$(command sed -ne 's/^[[:blank:]]*[Ii][Nn][Cc][Ll][Uu][Dd][Ee][[:blank:]]\(.*\)$/\1/p' "${included[@]}")" || return
+        _comp_split include_files "$(command gsed -ne 's/^[[:blank:]]*[Ii][Nn][Cc][Ll][Uu][Dd][Ee][[:blank:]]\(.*\)$/\1/p' "${included[@]}")" || return
         included=()
         for i in "${include_files[@]}"; do
             if [[ $i != [~/]* ]]; then
@@ -2737,7 +2737,7 @@ _comp_compgen_known_hosts__impl()
     # append any available aliases from ssh config files
     if [[ ${#config[@]} -gt 0 && $aliases ]]; then
         local -a hosts
-        if _comp_split hosts "$(command sed -ne 's/^[[:blank:]]*[Hh][Oo][Ss][Tt][[:blank:]=]\{1,\}\(.*\)$/\1/p' "${config[@]}")"; then
+        if _comp_split hosts "$(command gsed -ne 's/^[[:blank:]]*[Hh][Oo][Ss][Tt][[:blank:]=]\{1,\}\(.*\)$/\1/p' "${config[@]}")"; then
             _comp_compgen -av known_hosts -- -P "$prefix" \
                 -S "$suffix" -W '"${hosts[@]%%[*?%]*}"' -X '@(\!*|)'
         fi
@@ -3046,7 +3046,7 @@ _comp_complete_longopt()
             return
             ;;
         --+([-a-z0-9_]))
-            local argtype=$(LC_ALL=C $1 --help 2>&1 | command sed -ne \
+            local argtype=$(LC_ALL=C $1 --help 2>&1 | command gsed -ne \
                 "s|.*$prev\[\{0,1\}=[<[]\{0,1\}\([-A-Za-z0-9_]\{1,\}\).*|\1|p")
             case ${argtype,,} in
                 *dir*)
@@ -3081,9 +3081,9 @@ _comp_complete_longopt()
 complete -F _comp_complete_longopt \
     a2ps awk base64 bash bc bison cat chroot colordiff cp \
     csplit cut date df diff dir du enscript expand fmt fold gperf \
-    grep grub head irb ld ldd less ln ls m4 mkdir mkfifo mknod \
+    ggrep grub head irb ld ldd less ln ls m4 mkdir mkfifo mknod \
     mv netstat nl nm objcopy objdump od paste pr ptx readelf rm rmdir \
-    sed seq shar sort split strip sum tac tail tee \
+    gsed seq shar sort split strip sum tac tail tee \
     texindex touch tr uname unexpand uniq units vdir wc who
 
 # @since 2.12
diff -pruN bash-completion-2.15.0.old/completions/_adb bash-completion-2.15.0/completions/_adb
--- bash-completion-2.15.0.old/completions/_adb	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/_adb	2024-11-30 21:20:52.392491627 +0100
@@ -6,7 +6,7 @@
 _comp_cmd_adb__command_usage()
 {
     _comp_compgen_help - <<<"$("$1" help 2>&1 |
-        command sed -e "/^ *\(adb \)\{0,1\} *$2 /!d;s/[]|[]/\n/g")"
+        command gsed -e "/^ *\(adb \)\{0,1\} *$2 /!d;s/[]|[]/\n/g")"
 }
 
 _comp_cmd_adb()
@@ -57,7 +57,7 @@ _comp_cmd_adb()
             ;;
         forward)
             _comp_compgen_help - <<<"$("$1" help 2>&1 |
-                command sed -ne "s/^ *adb  *forward  *-/-/p")"
+                command gsed -ne "s/^ *adb  *forward  *-/-/p")"
             ;;
         reboot)
             _comp_compgen -- -W 'bootloader recovery'
diff -pruN bash-completion-2.15.0.old/completions/_mock bash-completion-2.15.0/completions/_mock
--- bash-completion-2.15.0.old/completions/_mock	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/_mock	2024-11-30 21:20:52.079328169 +0100
@@ -47,7 +47,7 @@ _comp_cmd_mock()
             # (e.g. ix86 chroot builds in x86_64 mock host)
             # This would actually depend on what the target root
             # can be used to build for...
-            _comp_compgen_split -- "$(command rpm --showrc | command sed -ne \
+            _comp_compgen_split -- "$(command rpm --showrc | command gsed -ne \
                 "s/^[[:space:]]*${regex_header}[[:space:]]*:[[:space:]]*\(.*\)/\1/p")"
             return
             ;;
diff -pruN bash-completion-2.15.0.old/completions/_modprobe bash-completion-2.15.0/completions/_modprobe
--- bash-completion-2.15.0.old/completions/_modprobe	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/_modprobe	2024-11-30 21:20:51.931274645 +0100
@@ -93,7 +93,7 @@ _comp_cmd_modprobe()
                     prev=${cur%%=*}
                     cur=${cur#*=}
                     if PATH="$PATH:/sbin" modinfo -p "$module" 2>/dev/null |
-                        command grep -q "^$prev:.*(bool)"; then
+                        command ggrep -q "^$prev:.*(bool)"; then
                         local choices="on off"
                         [[ $cur ]] && choices="1 0 y Y n N on off"
                         _comp_compgen -- -W "$choices"
diff -pruN bash-completion-2.15.0.old/completions/_modules bash-completion-2.15.0/completions/_modules
--- bash-completion-2.15.0.old/completions/_modules	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/_modules	2024-11-30 21:20:52.329835614 +0100
@@ -23,13 +23,13 @@
 
 _comp_cmd_module__compgen_list()
 {
-    local modules="$(command sed 's/:/ /g' <<<"$LOADEDMODULES" | sort)"
+    local modules="$(command gsed 's/:/ /g' <<<"$LOADEDMODULES" | sort)"
     _comp_compgen -- -W "$modules"
 }
 
 _comp_cmd_module__compgen_path()
 {
-    local modules="$(command sed 's/:/ /g' <<<"$MODULEPATH" | sort)"
+    local modules="$(command gsed 's/:/ /g' <<<"$MODULEPATH" | sort)"
     _comp_compgen -- -W "$modules"
 }
 
@@ -37,8 +37,8 @@ _comp_cmd_module__compgen_avail()
 {
     local modules="$(
         module avail 2>&1 |
-            command grep -E -v '^(-|$)' |
-            xargs printf '%s\n' | command sed -e 's/(default)//g' | sort
+            command ggrep -E -v '^(-|$)' |
+            xargs printf '%s\n' | command gsed -e 's/(default)//g' | sort
     )"
     _comp_compgen -- -W "$modules"
 }
@@ -53,8 +53,8 @@ _comp_cmd_module()
         # First parameter on line -- we expect it to be a mode selection
 
         local options
-        options="$(module help 2>&1 | command grep -E '^[[:space:]]*\+' |
-            _comp_awk '{print $2}' | command sed -e 's/|/ /g' | sort)"
+        options="$(module help 2>&1 | command ggrep -E '^[[:space:]]*\+' |
+            _comp_awk '{print $2}' | command gsed -e 's/|/ /g' | sort)"
 
         _comp_compgen -- -W "$options"
 
diff -pruN bash-completion-2.15.0.old/completions/_mount bash-completion-2.15.0/completions/_mount
--- bash-completion-2.15.0.old/completions/_mount	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/_mount	2024-11-30 21:20:52.015786530 +0100
@@ -46,8 +46,8 @@ _comp_cmd_mount()
         if [[ $host ]]; then
             _comp_compgen -c "${cur#//"$host"}" split -P "//$host" -- "$(
                 smbclient -d 0 -NL "$host" 2>/dev/null |
-                    command sed -ne '/^[[:blank:]]*Sharename/,/^$/p' |
-                    command sed -ne '3,$s|^[^A-Za-z]*\([^[:blank:]]*\).*$|/\1|p'
+                    command gsed -ne '/^[[:blank:]]*Sharename/,/^$/p' |
+                    command gsed -ne '3,$s|^[^A-Za-z]*\([^[:blank:]]*\).*$|/\1|p'
             )"
         fi
     elif [[ -r /etc/vfstab ]]; then
diff -pruN bash-completion-2.15.0.old/completions/_mount.linux bash-completion-2.15.0/completions/_mount.linux
--- bash-completion-2.15.0.old/completions/_mount.linux	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/_mount.linux	2024-11-30 21:20:52.428373980 +0100
@@ -238,8 +238,8 @@ _comp_cmd_mount()
         if [[ $host ]]; then
             _comp_compgen -c "${cur#//"$host"}" split -P "//$host" -- "$(
                 smbclient -d 0 -NL "$host" 2>/dev/null |
-                    command sed -ne '/^[[:blank:]]*Sharename/,/^$/p' |
-                    command sed -ne '3,$s|^[^A-Za-z]*\([^[:blank:]]*\).*$|/\1|p'
+                    command gsed -ne '/^[[:blank:]]*Sharename/,/^$/p' |
+                    command gsed -ne '3,$s|^[^A-Za-z]*\([^[:blank:]]*\).*$|/\1|p'
             )"
         fi
     fi
diff -pruN bash-completion-2.15.0.old/completions/_nox bash-completion-2.15.0/completions/_nox
--- bash-completion-2.15.0.old/completions/_nox	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/_nox	2024-11-30 21:20:52.236972131 +0100
@@ -4,7 +4,7 @@
 # This serves as a fallback in case the completion is not installed otherwise.
 
 eval -- "$(
-    pathcmd=$(type -P -- "$1" 2>/dev/null | command sed 's,/[^/]*$,,')
+    pathcmd=$(type -P -- "$1" 2>/dev/null | command gsed 's,/[^/]*$,,')
     [[ $pathcmd ]] && PATH=$pathcmd${PATH:+:$PATH}
     register-python-argcomplete --shell bash "$1" 2>/dev/null ||
         register-python-argcomplete3 --shell bash "$1" 2>/dev/null
diff -pruN bash-completion-2.15.0.old/completions/_yum bash-completion-2.15.0/completions/_yum
--- bash-completion-2.15.0.old/completions/_yum	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/_yum	2024-11-30 21:20:52.387635501 +0100
@@ -9,12 +9,12 @@ _comp_cmd_yum__list()
         # Try to strip in between headings like "Available Packages"
         # This will obviously only work for English :P
         _comp_split COMPREPLY "$(yum -d 0 -C list "$1" "$cur*" 2>/dev/null |
-            command sed -ne '/^Available /d' -e '/^Installed /d' \
+            command gsed -ne '/^Available /d' -e '/^Installed /d' \
                 -e '/^Updated /d' -e 's/[[:space:]].*//p')"
     else
         # Drop first line (e.g. "Updated Packages")
         _comp_split COMPREPLY "$(yum -d 0 -C list "$1" "$cur*" 2>/dev/null |
-            command sed -ne 1d -e 's/[[:space:]].*//p')"
+            command gsed -ne 1d -e 's/[[:space:]].*//p')"
     fi
 }
 
@@ -25,7 +25,7 @@ _comp_cmd_yum__compgen_repolist()
     # Drop first ("repo id      repo name") and last ("repolist: ...") rows
     _comp_compgen_split -- "$(
         yum --noplugins -C repolist "$1" 2>/dev/null |
-            command sed -ne '/^repo[[:space:]]\{1,\}id/d' -e '/^repolist:/d' \
+            command gsed -ne '/^repo[[:space:]]\{1,\}id/d' -e '/^repolist:/d' \
                 -e 's/[[:space:]].*//p'
     )"
 }
@@ -36,7 +36,7 @@ _comp_cmd_yum__compgen_plugins()
     _comp_expand_glob files '/usr/lib/yum-plugins/*.py{,c,o}' || return
     _comp_compgen -U files split -- "$(
         printf '%s\n' "${files[@]}" |
-            command sed -ne 's|.*/\([^./]*\)\.py[co]\{0,1\}$|\1|p' | sort -u
+            command gsed -ne 's|.*/\([^./]*\)\.py[co]\{0,1\}$|\1|p' | sort -u
     )"
 }
 
diff -pruN bash-completion-2.15.0.old/completions/2to3 bash-completion-2.15.0/completions/2to3
--- bash-completion-2.15.0.old/completions/2to3	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/2to3	2024-11-30 21:20:51.869485182 +0100
@@ -11,7 +11,7 @@ _comp_cmd_2to3()
             ;;
         -f | --fix | -x | --nofix)
             _comp_compgen_split -- "$(
-                "$1" --list-fixes 2>/dev/null | command sed -e 1d
+                "$1" --list-fixes 2>/dev/null | command gsed -e 1d
             )"
             return
             ;;
diff -pruN bash-completion-2.15.0.old/completions/7z bash-completion-2.15.0/completions/7z
--- bash-completion-2.15.0.old/completions/7z	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/7z	2024-11-30 21:20:51.952186173 +0100
@@ -102,7 +102,7 @@ _comp_cmd_7z()
     else
         if [[ ${words[1]} == d ]]; then
             _comp_compgen_split -l -- "$(
-                "$1" l "${words[2]}" -slt 2>/dev/null | command sed -n \
+                "$1" l "${words[2]}" -slt 2>/dev/null | command gsed -n \
                     '/^Path =/s/^Path = \(.*\)$/\1/p' 2>/dev/null | tail -n+2
             )"
             compopt -o filenames
diff -pruN bash-completion-2.15.0.old/completions/abook bash-completion-2.15.0/completions/abook
--- bash-completion-2.15.0.old/completions/abook	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/abook	2024-11-30 21:20:52.085146523 +0100
@@ -23,11 +23,11 @@ _comp_cmd_abook()
     case $prev in
         --informat)
             _comp_compgen_split -- "$("$1" --formats |
-                command sed -n -e 's/^'$'\t''\([a-z]*\).*/\1/p' -e '/^$/q')"
+                command gsed -n -e 's/^'$'\t''\([a-z]*\).*/\1/p' -e '/^$/q')"
             ;;
         --outformat)
             _comp_compgen_split -- "$("$1" --formats |
-                command sed -n -e '/^$/,$s/^'$'\t''\([a-z]*\).*/\1/p')"
+                command gsed -n -e '/^$/,$s/^'$'\t''\([a-z]*\).*/\1/p')"
             ;;
         --infile)
             _comp_compgen -- -W stdin
diff -pruN bash-completion-2.15.0.old/completions/alias bash-completion-2.15.0/completions/alias
--- bash-completion-2.15.0.old/completions/alias	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/alias	2024-11-30 21:20:52.261131537 +0100
@@ -13,7 +13,7 @@ _comp_cmd_alias()
             _comp_compgen -- -A alias
             ;;
         *=)
-            COMPREPLY=("$(alias "${cur%=}" 2>/dev/null | command sed \
+            COMPREPLY=("$(alias "${cur%=}" 2>/dev/null | command gsed \
                 -e 's|^alias '"$cur"'\(.*\)$|\1|')")
             ;;
     esac
diff -pruN bash-completion-2.15.0.old/completions/appdata-validate bash-completion-2.15.0/completions/appdata-validate
--- bash-completion-2.15.0.old/completions/appdata-validate	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/appdata-validate	2024-11-30 21:20:52.186902379 +0100
@@ -10,7 +10,7 @@ _comp_cmd_appdata_validate()
             return
             ;;
         --output-format)
-            _comp_compgen_split -- "$("$1" --help | command sed -ne \
+            _comp_compgen_split -- "$("$1" --help | command gsed -ne \
                 's/--output-format.*\[\(.*\)\]/\1/' -e 's/|/ /gp')"
             return
             ;;
diff -pruN bash-completion-2.15.0.old/completions/apt-get bash-completion-2.15.0/completions/apt-get
--- bash-completion-2.15.0.old/completions/apt-get	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/apt-get	2024-11-30 21:20:52.152172063 +0100
@@ -80,7 +80,7 @@ _comp_cmd_apt_get()
             # Prefer `apt-cache` in the same dir as command
             local pathcmd
             pathcmd=$(type -P -- "$1") && local PATH=${pathcmd%/*}:$PATH
-            _comp_compgen_split -- "$(apt-cache policy | command sed -ne \
+            _comp_compgen_split -- "$(apt-cache policy | command gsed -ne \
                 's/^ *release.*[ ,]o=\(Debian\|Ubuntu\),a=\(\w*\).*/\2/p')"
             return
             ;;
diff -pruN bash-completion-2.15.0.old/completions/aptitude bash-completion-2.15.0/completions/aptitude
--- bash-completion-2.15.0.old/completions/aptitude	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/aptitude	2024-11-30 21:20:52.436491286 +0100
@@ -53,13 +53,13 @@ _comp_cmd_aptitude()
             ;;
         --target-release | --default-release | -${noargopts}t)
             _comp_compgen_split -l -- "$(apt-cache policy |
-                command sed -ne 's/.*release.o=Debian,a=\([_[:alnum:]]*\).*/\1/p')"
+                command gsed -ne 's/.*release.o=Debian,a=\([_[:alnum:]]*\).*/\1/p')"
             return
             ;;
     esac
 
     if [[ $cur == -* ]]; then
-        _comp_compgen -R help - <<<"$("$1" --help 2>&1 | command sed -e \
+        _comp_compgen -R help - <<<"$("$1" --help 2>&1 | command gsed -e \
             's/--with(out)-recommends/--without-recommends\n--with-recommends/')"
         ((${#COMPREPLY[@]})) || return 0
 
diff -pruN bash-completion-2.15.0.old/completions/arp bash-completion-2.15.0/completions/arp
--- bash-completion-2.15.0.old/completions/arp	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/arp	2024-11-30 21:20:52.408579941 +0100
@@ -37,7 +37,7 @@ _comp_cmd_arp()
     _comp_count_args -a "@(--device|--protocol|--file|--hw-type|-${noargopts}[iApfHt])"
     case $REPLY in
         1)
-            local ips=$("$1" -an | command sed -ne \
+            local ips=$("$1" -an | command gsed -ne \
                 's/.*(\([0-9]\{1,3\}\(\.[0-9]\{1,3\}\)\{3\}\)).*/\1/p')
             _comp_compgen -- -W '$ips'
             ;;
diff -pruN bash-completion-2.15.0.old/completions/beadm bash-completion-2.15.0/completions/beadm
--- bash-completion-2.15.0.old/completions/beadm	2020-01-11 19:58:32.000000000 +0100
+++ bash-completion-2.15.0/completions/beadm	2024-11-30 21:20:52.059642915 +0100
@@ -138,7 +138,7 @@ _beadm()
                           # entered BE name, so find snapshot for the particuler BE
                           if [[ "${prev}" != "rollback" ]]
                           then
-                            be_and_snapshots=( $(for K in echo "${!be_and_snapshots[@]}"; do echo ${be_and_snapshots[$K]} | grep "^${prev}@" | sed -e 's,.*@,,'; done) )
+                            be_and_snapshots=( $(for K in echo "${!be_and_snapshots[@]}"; do echo ${be_and_snapshots[$K]} | ggrep "^${prev}@" | gsed -e 's,.*@,,'; done) )
                           fi
                           ;;
                       esac
@@ -188,7 +188,7 @@ _beadm()
               local pprev="${COMP_WORDS[COMP_CWORD-2]}"
               local realcur="${cur##*=}"
               local zfsprop="${pprev%%@*}"; zfsprop="${zfsprop##*,}"
-              local zfsvals=( $(zfs get 2>&1 | nawk '$1 == "'${zfsprop}'" && $2 == "YES" { $1=""; $2=""; $3=""; print }' | sed -e 's,|,,g') )
+              local zfsvals=( $(zfs get 2>&1 | nawk '$1 == "'${zfsprop}'" && $2 == "YES" { $1=""; $2=""; $3=""; print }' | gsed -e 's,|,,g') )
               compopt -o nospace
               compopt -o nosort
               COMPREPLY=( $(compgen -W "${zfsvals[*]}" -- "${realcur}") )
@@ -206,7 +206,7 @@ _beadm()
                   # ZFS property values
                   local realcur=${cur##*=}
                   local zfsprop=${prev%%@*}; zfsprop=${zfsprop##*,}
-                  local zfsvals=( $(zfs get 2>&1 | nawk '$1 == "'${zfsprop}'" && $2 == "YES" { $1=""; $2=""; $3=""; print }' | sed -e 's,|,,g') )
+                  local zfsvals=( $(zfs get 2>&1 | nawk '$1 == "'${zfsprop}'" && $2 == "YES" { $1=""; $2=""; $3=""; print }' | gsed -e 's,|,,g') )
                   compopt -o nospace
                   compopt -o nosort
                   COMPREPLY=( $(compgen -W "${zfsvals[*]}" -- "${realcur}") )
diff -pruN bash-completion-2.15.0.old/completions/carton bash-completion-2.15.0/completions/carton
--- bash-completion-2.15.0.old/completions/carton	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/carton	2024-11-30 21:20:52.374062491 +0100
@@ -3,7 +3,7 @@
 _comp_cmd_carton__commands()
 {
     local cmds=$("$1" usage 2>&1 |
-        command sed -ne '/.*command.* is one of/{n;p;q;}')
+        command gsed -ne '/.*command.* is one of/{n;p;q;}')
     _comp_compgen -aF $' \t\n,' -- -W "$cmds"
 }
 
diff -pruN bash-completion-2.15.0.old/completions/ccze bash-completion-2.15.0/completions/ccze
--- bash-completion-2.15.0.old/completions/ccze	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/ccze	2024-11-30 21:20:52.278422170 +0100
@@ -30,7 +30,7 @@ _comp_cmd_ccze()
             ;;
         --plugin | -${noargopts}p)
             _comp_compgen_split -- "$("$1" --list-plugins | command \
-                sed -ne 's/^\([a-z0-9]\{1,\}\)[[:space:]]\{1,\}|.*/\1/p')"
+                gsed -ne 's/^\([a-z0-9]\{1,\}\)[[:space:]]\{1,\}|.*/\1/p')"
             return
             ;;
     esac
diff -pruN bash-completion-2.15.0.old/completions/cfrun bash-completion-2.15.0/completions/cfrun
--- bash-completion-2.15.0.old/completions/cfrun	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/cfrun	2024-11-30 21:20:52.149837527 +0100
@@ -33,7 +33,7 @@ _comp_cmd_cfrun()
                 done
                 [[ ! -f $hostfile ]] && return
 
-                _comp_compgen_split -- "$(command grep -v -E '(=|^$|^#)' \
+                _comp_compgen_split -- "$(command ggrep -v -E '(=|^$|^#)' \
                     "$hostfile")"
             fi
             ;;
diff -pruN bash-completion-2.15.0.old/completions/checksec bash-completion-2.15.0/completions/checksec
--- bash-completion-2.15.0.old/completions/checksec	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/checksec	2024-11-30 21:20:52.256344951 +0100
@@ -27,11 +27,11 @@ _comp_cmd_checksec()
             ;;
         --format)
             _comp_compgen_split -- "$("$1" --help 2>/dev/null |
-                command sed -ne 's/[{,}]/ /g;s/^[[:space:]]*--format=//p')"
+                command gsed -ne 's/[{,}]/ /g;s/^[[:space:]]*--format=//p')"
             ;;
         --output)
             _comp_compgen_split -- "$("$1" --help 2>/dev/null |
-                command sed -ne 's/[{,}]/ /g;s/^[[:space:]]*--output=//p')"
+                command gsed -ne 's/[{,}]/ /g;s/^[[:space:]]*--output=//p')"
             ;;
     esac
 
diff -pruN bash-completion-2.15.0.old/completions/complete bash-completion-2.15.0/completions/complete
--- bash-completion-2.15.0.old/completions/complete	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/complete	2024-11-30 21:20:52.297526404 +0100
@@ -29,7 +29,7 @@ _comp_cmd_complete()
             return
             ;;
         -*p | -*r)
-            _comp_compgen_split -l -- "$(complete -p | command sed -e 's|.* ||')"
+            _comp_compgen_split -l -- "$(complete -p | command gsed -e 's|.* ||')"
             return
             ;;
     esac
diff -pruN bash-completion-2.15.0.old/completions/configure bash-completion-2.15.0/completions/configure
--- bash-completion-2.15.0.old/completions/configure	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/configure	2024-11-30 21:20:52.242813644 +0100
@@ -33,7 +33,7 @@ _comp_cmd_configure()
     if [[ ${BASH_COMPLETION_CMD_CONFIGURE_HINTS-} ]]; then
         _comp_compgen_split -- "$("$1" --help 2>&1 |
             _comp_awk '/^  --[A-Za-z]/ { print $1; \
-            if ($2 ~ /--[A-Za-z]/) print $2 }' | command sed -e 's/[[,].*//g')"
+            if ($2 ~ /--[A-Za-z]/) print $2 }' | command gsed -e 's/[[,].*//g')"
         [[ ${COMPREPLY-} == *=* ]] && compopt -o nospace
     else
         _comp_compgen_help
diff -pruN bash-completion-2.15.0.old/completions/cpan2dist bash-completion-2.15.0/completions/cpan2dist
--- bash-completion-2.15.0.old/completions/cpan2dist	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/cpan2dist	2024-11-30 21:20:52.161475152 +0100
@@ -29,7 +29,7 @@ _comp_cmd_cpan2dist()
         done
         [[ $packagelist ]] && _comp_split COMPREPLY "$(zgrep "^${cur//-/::}" \
             "$packagelist" 2>/dev/null | _comp_awk '{print $1}' |
-            command sed -e 's/::/-/g')"
+            command gsed -e 's/::/-/g')"
     fi
 } &&
     complete -F _comp_cmd_cpan2dist -o default cpan2dist
diff -pruN bash-completion-2.15.0.old/completions/curl bash-completion-2.15.0/completions/curl
--- bash-completion-2.15.0.old/completions/curl	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/curl	2024-11-30 21:20:52.277302619 +0100
@@ -80,7 +80,7 @@ _comp_cmd_curl()
         --engine)
             local engines=$(
                 "$1" --engine list 2>/dev/null |
-                    command grep "^[[:space:]]"
+                    command ggrep "^[[:space:]]"
             )
             _comp_compgen -- -W '$engines list'
             return
@@ -129,7 +129,7 @@ _comp_cmd_curl()
             return
             ;;
         --proto-default)
-            _comp_compgen_split "$("$1" --version 2>/dev/null | command sed -e '/Protocols/!d' -e 's/Protocols://')"
+            _comp_compgen_split "$("$1" --version 2>/dev/null | command gsed -e '/Protocols/!d' -e 's/Protocols://')"
             ;;
         --pubkey)
             _comp_compgen -x ssh identityfile pub
diff -pruN bash-completion-2.15.0.old/completions/cvs bash-completion-2.15.0/completions/cvs
--- bash-completion-2.15.0.old/completions/cvs	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/cvs	2024-11-30 21:20:51.919769798 +0100
@@ -262,7 +262,7 @@ _comp_cmd_cvs()
                     # far, but other changes (something other than
                     # changed/removed/new) may be missing.
                     _comp_compgen -a split -- "$(cvs -q diff --brief 2>&1 |
-                        command sed -ne '
+                        command gsed -ne '
                             # changed
                             s/^Files [^ ]* and \([^ ]*\) differ$/\1/p
                             # new/removed
diff -pruN bash-completion-2.15.0.old/completions/dict bash-completion-2.15.0/completions/dict
--- bash-completion-2.15.0.old/completions/dict	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/dict	2024-11-30 21:20:52.048065904 +0100
@@ -4,7 +4,7 @@ _comp_cmd_dict__compgen_dictdata()
 {
     # shellcheck disable=SC2086
     _comp_compgen_split -- "$(
-        "$@" 2>/dev/null | command sed -ne \
+        "$@" 2>/dev/null | command gsed -ne \
             's/^[[:blank:]]\{1,\}\([^[:blank:]]*\).*$/\1/p'
     )"
 }
@@ -56,11 +56,11 @@ _comp_cmd_dict()
     local dictfile=/usr/share/dict/words
     if [[ -r $dictfile ]]; then
         # Dictfile may be too large for practical compgen -W usage, so narrow
-        # it down with grep if $cur looks like something that's safe to embed
+        # it down with ggrep if $cur looks like something that's safe to embed
         # in a pattern instead.
         if [[ $cur == +([-A-Za-z0-9/.]) ]]; then
             _comp_compgen_split -- "$(
-                command grep "^${cur//./\\.}" "$dictfile"
+                command ggrep "^${cur//./\\.}" "$dictfile"
             )"
         else
             _comp_compgen_split -- "$(cat "$dictfile")"
diff -pruN bash-completion-2.15.0.old/completions/dladm bash-completion-2.15.0/completions/dladm
--- bash-completion-2.15.0.old/completions/dladm	2020-01-11 19:58:32.000000000 +0100
+++ bash-completion-2.15.0/completions/dladm	2024-11-30 21:20:52.413275302 +0100
@@ -14,7 +14,7 @@ _dladm()
       COMPREPLY=( $(compgen -W "${cmds}" -- ${cur}) )
     elif [[ ${prev} =~ "-z" ]]; then
       # Some illumos OS distributions have zone-aware dladm. Treat -z as a zone name option
-      local zones="$(zoneadm list -c | grep -v '^global$')"
+      local zones="$(zoneadm list -c | ggrep -v '^global$')"
       COMPREPLY=( $(compgen -W "${zones}" -- ${cur}) )
     elif [[ ${prev} =~ 'delete-vnic' ]]; then
       # Redirect stderr to /dev/null not to polute console, e.g.:
diff -pruN bash-completion-2.15.0.old/completions/dmypy bash-completion-2.15.0/completions/dmypy
--- bash-completion-2.15.0.old/completions/dmypy	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/dmypy	2024-11-30 21:20:52.257526845 +0100
@@ -38,8 +38,8 @@ _comp_cmd_dmypy()
 
     if [[ ! $has_cmd ]]; then
         local cmds=$("$1" --help 2>&1 |
-            command sed -ne '/positional arguments/{p;n;p;q;}' |
-            command sed -ne 's/{\(.*\)}/\1/p')
+            command gsed -ne '/positional arguments/{p;n;p;q;}' |
+            command gsed -ne 's/{\(.*\)}/\1/p')
         _comp_compgen -F , -- -W '$cmds'
         return
     fi
diff -pruN bash-completion-2.15.0.old/completions/dnssec-keygen bash-completion-2.15.0/completions/dnssec-keygen
--- bash-completion-2.15.0.old/completions/dnssec-keygen	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/dnssec-keygen	2024-11-30 21:20:52.417867713 +0100
@@ -3,9 +3,9 @@
 _comp_cmd_dnssec_keygen__optarg()
 {
     local args=$("$1" -h 2>&1 |
-        command sed -e 's/|/ /g' -e 's/(.*//' \
+        command gsed -e 's/|/ /g' -e 's/(.*//' \
             -ne '/^[[:space:]]*'"$2"'/,/^[[:space:]]*[(-]/p' |
-        command sed -e 's/^[[:space:]]*'"$2"'.*://' -e '/^[[:space:]]*-/d')
+        command gsed -e 's/^[[:space:]]*'"$2"'.*://' -e '/^[[:space:]]*-/d')
     _comp_compgen -a -- -W '$args'
 }
 
diff -pruN bash-completion-2.15.0.old/completions/dot bash-completion-2.15.0/completions/dot
--- bash-completion-2.15.0.old/completions/dot	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/dot	2024-11-30 21:20:52.415609922 +0100
@@ -14,14 +14,14 @@ _comp_cmd_dot()
         -T*)
             # generate langs
             _comp_compgen -c "${cur#-T}" split -P "-T" -- "$(
-                "$1" -TNON_EXISTENT 2>&1 | command sed -ne 's/.*one of://p'
+                "$1" -TNON_EXISTENT 2>&1 | command gsed -ne 's/.*one of://p'
             )"
             return
             ;;
         -K*)
             # generate layouts
             _comp_compgen -c "${cur#-K}" split -P "-K" -- "$(
-                "$1" -KNON_EXISTENT 2>&1 | command sed -ne 's/.*one of://p'
+                "$1" -KNON_EXISTENT 2>&1 | command gsed -ne 's/.*one of://p'
             )"
             return
             ;;
diff -pruN bash-completion-2.15.0.old/completions/ebtables bash-completion-2.15.0/completions/ebtables
--- bash-completion-2.15.0.old/completions/ebtables	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/ebtables	2024-11-30 21:20:51.932538359 +0100
@@ -18,7 +18,7 @@ _comp_cmd_ebtables()
         -${noargopts}[AIDPFXLZ])
             _comp_compgen_split -- "$(
                 "$1" ${table:+-t "$table"} -L 2>/dev/null |
-                    command sed -ne "$chain"
+                    command gsed -ne "$chain"
             )"
             ;;
         -${noargopts}t)
@@ -28,17 +28,17 @@ _comp_cmd_ebtables()
             if [[ $table == "filter" || ! $table ]]; then
                 _comp_compgen -- -W '$targets'
                 _comp_compgen -a split -- "$("$1" ${table:+-t "$table"} -L \
-                    2>/dev/null | command sed -n -e \
+                    2>/dev/null | command gsed -n -e \
                     "s/INPUT\|OUTPUT\|FORWARD//" -e "$chain")"
             elif [[ $table == "nat" ]]; then
                 _comp_compgen -- -W '$targets'
                 _comp_compgen -a split -- "$("$1" -t "$table" -L 2>/dev/null |
-                    command sed -n -e "s/OUTPUT|PREROUTING|POSTROUTING//" \
+                    command gsed -n -e "s/OUTPUT|PREROUTING|POSTROUTING//" \
                         -e "$chain")"
             elif [[ $table == "broute" ]]; then
                 _comp_compgen -- -W 'ACCEPT DROP'
                 _comp_compgen -a split -- "$("$1" -t "$table" -L 2>/dev/null |
-                    command sed -n -e "s/BROUTING//" -e "$chain")"
+                    command gsed -n -e "s/BROUTING//" -e "$chain")"
             fi
             ;;
         *)
diff -pruN bash-completion-2.15.0.old/completions/fbgs bash-completion-2.15.0/completions/fbgs
--- bash-completion-2.15.0.old/completions/fbgs	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/fbgs	2024-11-30 21:20:52.275019558 +0100
@@ -11,7 +11,7 @@ _comp_cmd_fbgs()
             return
             ;;
         -m | --mode)
-            _comp_compgen_split -- "$(command sed \
+            _comp_compgen_split -- "$(command gsed \
                 -n '/^mode/{s/^mode \{1,\}"\([^"]\{1,\}\)"/\1/g;p}' \
                 /etc/fb.modes 2>/dev/null)"
             return
diff -pruN bash-completion-2.15.0.old/completions/fbi bash-completion-2.15.0/completions/fbi
--- bash-completion-2.15.0.old/completions/fbi	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/fbi	2024-11-30 21:20:52.037704169 +0100
@@ -19,7 +19,7 @@ _comp_cmd_fbi()
             return
             ;;
         -m | --mode)
-            _comp_compgen_split -- "$(command sed \
+            _comp_compgen_split -- "$(command gsed \
                 -n '/^mode/{s/^mode \{1,\}"\([^"]\{1,\}\)"/\1/g;p}' \
                 /etc/fb.modes 2>/dev/null)"
             return
diff -pruN bash-completion-2.15.0.old/completions/fio bash-completion-2.15.0/completions/fio
--- bash-completion-2.15.0.old/completions/fio	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/fio	2024-11-30 21:20:51.965468046 +0100
@@ -2,7 +2,7 @@
 
 _comp_cmd_fio__compgen_engines()
 {
-    _comp_compgen_split -F $'\t\n' -- "$("$1" --enghelp 2>/dev/null | command sed -ne '/^[[:space:]]/p')"
+    _comp_compgen_split -F $'\t\n' -- "$("$1" --enghelp 2>/dev/null | command gsed -ne '/^[[:space:]]/p')"
 }
 
 _comp_cmd_fio()
diff -pruN bash-completion-2.15.0.old/completions/fprintd-enroll bash-completion-2.15.0/completions/fprintd-enroll
--- bash-completion-2.15.0.old/completions/fprintd-enroll	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/fprintd-enroll	2024-11-30 21:20:52.363996370 +0100
@@ -15,7 +15,7 @@ _comp_cmd_fprintd_enroll()
             # Only -enroll may output a message with valid options in it
             _comp_compgen_split -- "$(
                 "${1/-verify/-enroll}" --finger no-such-finger 2>&1 |
-                    command sed \
+                    command gsed \
                         -e s/,//g -ne 's/^.*Name must be one of \(.*\)/\1/p'
             )"
             return
diff -pruN bash-completion-2.15.0.old/completions/function bash-completion-2.15.0/completions/function
--- bash-completion-2.15.0.old/completions/function	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/function	2024-11-30 21:20:52.225708107 +0100
@@ -8,7 +8,7 @@ _comp_cmd_function()
     if ((cword == 1)); then
         _comp_compgen -- -A function
     else
-        local funcdef=$(type -- "${words[1]}" 2>/dev/null | command sed -e 1,2d)
+        local funcdef=$(type -- "${words[1]}" 2>/dev/null | command gsed -e 1,2d)
         COMPREPLY=("()${funcdef:+ $funcdef}")
     fi
 } &&
diff -pruN bash-completion-2.15.0.old/completions/gcc bash-completion-2.15.0/completions/gcc
--- bash-completion-2.15.0.old/completions/gcc	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/gcc	2024-11-30 21:20:51.953413173 +0100
@@ -12,7 +12,7 @@ _comp_cmd_gcc()
             local cc=$("$1" -print-prog-name=cc1 2>/dev/null)
             [[ $cc ]] || return
             _comp_compgen_split -- "$("$cc" --help 2>/dev/null | tr '\t' ' ' |
-                command sed -e '/^  *-/!d' -e 's/ *-\([^][ <>]*\).*/-\1/')"
+                command gsed -e '/^  *-/!d' -e 's/ *-\([^][ <>]*\).*/-\1/')"
             [[ ${COMPREPLY-} == *= ]] && compopt -o nospace
         else
             _comp_compgen_filedir
@@ -62,7 +62,7 @@ _comp_cmd_gcc()
         local REPLY
         _comp_realcommand "$1"
         if [[ $REPLY == *$2* ]] ||
-            "$1" --version 2>/dev/null | command grep -q GCC; then
+            "$1" --version 2>/dev/null | command ggrep -q GCC; then
             complete -F _comp_cmd_gcc "$1"
         else
             complete -F _comp_complete_minimal "$1"
diff -pruN bash-completion-2.15.0.old/completions/gdb bash-completion-2.15.0/completions/gdb
--- bash-completion-2.15.0.old/completions/gdb	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/gdb	2024-11-30 21:20:52.235821995 +0100
@@ -31,7 +31,7 @@ _comp_cmd_gdb()
                 IFS=$' \t\n'
                 find ${path_array[@]+"${path_array[@]}"} . -name . -o \
                     -type d -prune -o -perm -u+x -print 2>/dev/null |
-                    command sed 's|^.*/||' | sort -u
+                    command gsed 's|^.*/||' | sort -u
             )"
         fi
     elif ((cword == 2)); then
diff -pruN bash-completion-2.15.0.old/completions/gnokii bash-completion-2.15.0/completions/gnokii
--- bash-completion-2.15.0.old/completions/gnokii	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/gnokii	2024-11-30 21:20:52.008811388 +0100
@@ -24,7 +24,7 @@ _comp_cmd_gnokii()
                 [[ -f $config_file ]] && break
             done
             [[ ! -f $config_file ]] && return
-            _comp_compgen_split -- "$(command sed -n \
+            _comp_compgen_split -- "$(command gsed -n \
                 's/^\[phone_\(.*\)\]/\1/p' "$config_file")"
             return
             ;;
@@ -221,7 +221,7 @@ _comp_cmd_gnokii()
     # these 2 below are allowed in combination with others
     local main_cmd
     _comp_split -l main_cmd "$(printf '%s\n' "${all_cmd[@]}" |
-        command sed -e '/--config/d;/--phone/d;s/[][\(){}|^$*+?.]/\\&/g')"
+        command gsed -e '/--config/d;/--phone/d;s/[][\(){}|^$*+?.]/\\&/g')"
     # don't provide main command completions if one is
     # already on the command line
     local IFS='|'
diff -pruN bash-completion-2.15.0.old/completions/gpg bash-completion-2.15.0/completions/gpg
--- bash-completion-2.15.0.old/completions/gpg	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/gpg	2024-11-30 21:20:52.153371070 +0100
@@ -20,7 +20,7 @@ _comp_cmd_gpg()
             --nrsign-key | --nrlsign-key | --try-secret-key | -${noargopts}k)
             # return list of public keys
             _comp_compgen_split -- "$("$1" --list-keys 2>/dev/null |
-                command sed -ne \
+                command gsed -ne \
                     's@^pub.*/\([^ ]*\).*$@\1@p' -ne \
                     's@^.*\(<\([^>]*\)>\).*$@\2@p')"
             return
@@ -29,14 +29,14 @@ _comp_cmd_gpg()
             --export-secret-subkeys | -${noargopts}K)
             # return list of secret keys
             _comp_compgen_split -- "$("$1" --list-secret-keys 2>/dev/null |
-                command sed -ne 's@^.*<\([^>]*\)>.*$@\1@p')"
+                command gsed -ne 's@^.*<\([^>]*\)>.*$@\1@p')"
             return
             ;;
         --recipient | -${noargopts}r)
             _comp_compgen_split -- "$("$1" --list-keys 2>/dev/null |
-                command sed -ne 's@^.*<\([^>]*\)>.*$@\1@p')"
+                command gsed -ne 's@^.*<\([^>]*\)>.*$@\1@p')"
             if [[ -e ~/.gnupg/gpg.conf ]]; then
-                _comp_compgen -a split -- "$(command sed -ne \
+                _comp_compgen -a split -- "$(command gsed -ne \
                     's@^[ \t]*group[ \t][ \t]*\([^=]*\).*$@\1@p' \
                     ~/.gnupg/gpg.conf)"
             fi
diff -pruN bash-completion-2.15.0.old/completions/gpg2 bash-completion-2.15.0/completions/gpg2
--- bash-completion-2.15.0.old/completions/gpg2	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/gpg2	2024-11-30 21:20:52.356084663 +0100
@@ -21,16 +21,16 @@ _comp_cmd_gpg2()
             --locate-keys | --refresh-keys)
             # return list of public keys
             _comp_compgen_split -- "$("$1" --list-keys 2>/dev/null |
-                command sed -ne \
+                command gsed -ne \
                     's@^pub.*/\([^ ]*\).*$@\1@p' -ne \
                     's@^.*\(<\([^>]*\)>\).*$@\2@p')"
             return
             ;;
         --recipient | -${noargopts}r)
             _comp_compgen_split -- "$("$1" --list-keys 2>/dev/null |
-                command sed -ne 's@^.*<\([^>]*\)>.*$@\1@p')"
+                command gsed -ne 's@^.*<\([^>]*\)>.*$@\1@p')"
             if [[ -e ~/.gnupg/gpg.conf ]]; then
-                _comp_compgen -a split -- "$(command sed -ne \
+                _comp_compgen -a split -- "$(command gsed -ne \
                     's@^[ \t]*group[ \t][ \t]*\([^=]*\).*$@\1@p' \
                     ~/.gnupg/gpg.conf)"
             fi
diff -pruN bash-completion-2.15.0.old/completions/gssdp-discover bash-completion-2.15.0/completions/gssdp-discover
--- bash-completion-2.15.0.old/completions/gssdp-discover	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/gssdp-discover	2024-11-30 21:20:52.316941529 +0100
@@ -16,7 +16,7 @@ _comp_cmd_gssdp_discover()
         --message-type | -m)
             [[ $1 == *gssdp-discover ]] || return
             local types=$("$1" --help 2>&1 |
-                command sed -ne 's/^.*--message-type=.*(\([^)]*\))$/\1/p')
+                command gsed -ne 's/^.*--message-type=.*(\([^)]*\))$/\1/p')
             _comp_compgen -F $' \t\n,' -- -W "$types"
             return
             ;;
diff -pruN bash-completion-2.15.0.old/completions/iconv bash-completion-2.15.0/completions/iconv
--- bash-completion-2.15.0.old/completions/iconv	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/iconv	2024-11-30 21:20:52.001762423 +0100
@@ -15,7 +15,7 @@ _iconv_charsets()
 _comp_cmd_iconv__compgen_charsets()
 {
     _comp_compgen_split -X ... -- "$("$1" -l |
-        command sed -e 's@/*$@@' -e 's/[,()]//g')"
+        command gsed -e 's@/*$@@' -e 's/[,()]//g')"
 }
 
 _comp_cmd_iconv()
diff -pruN bash-completion-2.15.0.old/completions/ifstat bash-completion-2.15.0/completions/ifstat
--- bash-completion-2.15.0.old/completions/ifstat	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/ifstat	2024-11-30 21:20:51.905970164 +0100
@@ -22,8 +22,8 @@ _comp_cmd_ifstat()
             if ! {
                 "$1" --help 2>&1 || :
             } |
-                command grep -q -- '-d.*--scan'; then
-                _comp_compgen_split -- "$("$1" -v | command sed -e 's/[,.]//g' \
+                command ggrep -q -- '-d.*--scan'; then
+                _comp_compgen_split -- "$("$1" -v | command gsed -e 's/[,.]//g' \
                     -ne 's/^.*drivers://p')"
             fi
             return
@@ -34,7 +34,7 @@ _comp_cmd_ifstat()
             if ! {
                 "$1" --help 2>&1 || :
             } |
-                command grep -q -- '-s.*--noupdate'; then
+                command ggrep -q -- '-s.*--noupdate'; then
                 _comp_compgen_known_hosts -- "$cur"
                 return
             fi
@@ -45,7 +45,7 @@ _comp_cmd_ifstat()
             ! {
                 "$1" --help 2>&1 || :
             } |
-                command grep -q -- '-t.*--interval' || return
+                command ggrep -q -- '-t.*--interval' || return
             ;;
         --extended | -${noargopts}x)
             # iproute2: parse xstat types
diff -pruN bash-completion-2.15.0.old/completions/inotifywait bash-completion-2.15.0/completions/inotifywait
--- bash-completion-2.15.0.old/completions/inotifywait	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/inotifywait	2024-11-30 21:20:51.853290292 +0100
@@ -6,7 +6,7 @@ _comp_cmd_inotifywait__events()
     # tab. Word following the tab is event name, others are line
     # wrapped explanations.
     _comp_compgen -a split -- "$("$1" --help 2>/dev/null |
-        command sed -e '/^Events:/,/^[^'$'\t'']/!d' \
+        command gsed -e '/^Events:/,/^[^'$'\t'']/!d' \
             -ne 's/^'$'\t''\([^ '$'\t'']\{1,\}\)[ '$'\t''].*/\1/p')"
 }
 
diff -pruN bash-completion-2.15.0.old/completions/invoke-rc.d bash-completion-2.15.0/completions/invoke-rc.d
--- bash-completion-2.15.0.old/completions/invoke-rc.d	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/invoke-rc.d	2024-11-30 21:20:52.352742689 +0100
@@ -19,13 +19,13 @@ _comp_cmd_invoke_rc_d()
         # generate valid_options
         _comp_compgen_split -- "$(
             tr " " "\n" <<<"${words[*]} ${options[*]}" |
-                command sed -ne "/$(command sed 's/ /\\|/g' <<<"${options[*]}")/p" |
+                command gsed -ne "/$(command gsed 's/ /\\|/g' <<<"${options[*]}")/p" |
                 sort | uniq -u
         )"
         _comp_expand_glob services '"$sysvdir"/!(README*|*.sh|$_comp_backup_glob)' &&
             _comp_compgen -a -- -W '"${services[@]#"$sysvdir"/}"'
     elif [[ -x $sysvdir/$prev ]]; then
-        _comp_compgen_split -- "$(command sed -e 'y/|/ /' \
+        _comp_compgen_split -- "$(command gsed -e 'y/|/ /' \
             -ne 's/^.*Usage:[ ]*[^ ]*[ ]*{*\([^}"]*\).*$/\1/p' \
             "$sysvdir/$prev")"
     else
diff -pruN bash-completion-2.15.0.old/completions/ip bash-completion-2.15.0/completions/ip
--- bash-completion-2.15.0.old/completions/ip	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/ip	2024-11-30 21:20:52.439036257 +0100
@@ -12,7 +12,7 @@ _comp_cmd_ip__netns()
     _comp_split -l unquoted "$(
         {
             ${1-ip} -c=never netns list 2>/dev/null || ${1-ip} netns list
-        } | command sed -e 's/ (.*//'
+        } | command gsed -e 's/ (.*//'
     )"
     # namespace names can have spaces, so we quote all of them if needed
     local ns quoted=()
@@ -29,7 +29,7 @@ _comp_cmd_ip__link_types()
     _comp_compgen_split -- "$(
         {
             ${1-ip} -c=never link help || ${1-ip} link help
-        } 2>&1 | command sed -e \
+        } 2>&1 | command gsed -e \
             '/TYPE := /,/}/!d' -e \
             's/.*{//' -e \
             's/}.*//' -e \
@@ -42,7 +42,7 @@ _comp_cmd_ip__neigh_states()
     _comp_compgen_split -- "$(
         {
             ${1-ip} -c=never neigh help || ${1-ip} neigh help
-        } 2>&1 | command sed -e \
+        } 2>&1 | command gsed -e \
             '/STATE := /,/}/!d' -e \
             's/.*{//' -e \
             's/}.*//' -e \
@@ -93,7 +93,7 @@ _comp_cmd_ip()
                     ((cword == 1)) && printf '%s\n' -force
                     {
                         "$1" -c=never help || "$1" help
-                    } 2>&1 | command sed -e \
+                    } 2>&1 | command gsed -e \
                         's/[{|}=]/\n/g' -e \
                         's/\[\([^]]\{1,\}\)\]/\1/g'
                 )"
@@ -102,7 +102,7 @@ _comp_cmd_ip()
                 _comp_compgen_split -- "help $(
                     {
                         "$1" -c=never help || "$1" help
-                    } 2>&1 | command sed -e \
+                    } 2>&1 | command gsed -e \
                         '/OBJECT := /,/}/!d' -e \
                         's/.*{//' -e \
                         's/}.*//' -e \
@@ -304,7 +304,7 @@ _comp_cmd_ip()
                         _comp_compgen_split -- "$(
                             {
                                 "$1" -c=never r 2>/dev/null || "$1" r
-                            } | command sed -ne \
+                            } | command gsed -ne \
                                 's/.*via \([0-9.]*\).*/\1/p'
                         )"
                     elif [[ $prev == "$subcmd" ]]; then
@@ -375,7 +375,7 @@ _comp_cmd_ip()
                         _comp_compgen -- -W "$(
                             # stats command was added after color, should always have it
                             "$1" -c=never stats help 2>&1 |
-                                command sed -e \
+                                command gsed -e \
                                     '/^GROUP := /,/}/!d' -e \
                                     's/^GROUP := //g' -e \
                                     '/:=/d' -e \
@@ -464,7 +464,7 @@ _comp_cmd_ip()
                             _comp_compgen_split -- "$(
                                 {
                                     ip -c=never ntable show 2>/dev/null || ip ntable show
-                                } | command sed -ne 's/^inet6\{0,1\} //p'
+                                } | command gsed -ne 's/^inet6\{0,1\} //p'
                             )"
                             ;;
                         *)
@@ -533,7 +533,7 @@ _comp_cmd_ip()
                         _comp_compgen_split -- "help all $(
                             {
                                 "$1" -c=never monitor help || "$1" monitor help
-                            } 2>&1 | command sed -e \
+                            } 2>&1 | command gsed -e \
                                 '/OBJECTS := /,/[^|]$/!d' -e \
                                 's/OBJECTS := *//' -e \
                                 's/|//g'
diff -pruN bash-completion-2.15.0.old/completions/iperf bash-completion-2.15.0/completions/iperf
--- bash-completion-2.15.0.old/completions/iperf	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/iperf	2024-11-30 21:20:52.311319446 +0100
@@ -20,8 +20,8 @@ _comp_cmd_iperf()
         --format | -${noargopts}f)
             local formats=$(
                 "$1" --help 2>&1 |
-                    command sed -ne 's/^.*--format .*\[\([a-zA-Z]\{1,\}\)\].*/\1/p' |
-                    command sed -e 's/./& /g'
+                    command gsed -ne 's/^.*--format .*\[\([a-zA-Z]\{1,\}\)\].*/\1/p' |
+                    command gsed -e 's/./& /g'
             )
             _comp_compgen -- -W '$formats'
             return
@@ -77,10 +77,10 @@ _comp_cmd_iperf()
     for i in "${words[@]}"; do
         case $i in
             -s | --server)
-                filter=(command sed -e '/^Client.specific/,/^\(Server.specific.*\)\{0,1\}$/d')
+                filter=(command gsed -e '/^Client.specific/,/^\(Server.specific.*\)\{0,1\}$/d')
                 ;;
             -c | --client)
-                filter=(command sed -e '/^Server.specific/,/^\(Client.specific.*\)\{0,1\}$/d')
+                filter=(command gsed -e '/^Server.specific/,/^\(Client.specific.*\)\{0,1\}$/d')
                 ;;
         esac
     done
diff -pruN bash-completion-2.15.0.old/completions/ipmitool bash-completion-2.15.0/completions/ipmitool
--- bash-completion-2.15.0.old/completions/ipmitool	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/ipmitool	2024-11-30 21:20:51.911601844 +0100
@@ -3,7 +3,7 @@
 _comp_cmd_ipmitool__singleline_help()
 {
     _comp_compgen_split -- "$("$1" "$2" 2>&1 |
-        command sed -ne 's/[,\r]//g' -e 's/^.*[Cc]ommands://p')"
+        command gsed -ne 's/[,\r]//g' -e 's/^.*[Cc]ommands://p')"
 }
 
 _comp_cmd_ipmitool()
@@ -23,7 +23,7 @@ _comp_cmd_ipmitool()
             ;;
         -*I)
             _comp_compgen_split -- "$("$1" -h 2>&1 |
-                command sed -e '/^Interfaces:/,/^[[:space:]]*$/!d' \
+                command gsed -e '/^Interfaces:/,/^[[:space:]]*$/!d' \
                     -ne 's/^[[:space:]]\{1,\}\([^[:space:]]\{1,\}\).*/\1/p')"
             return
             ;;
diff -pruN bash-completion-2.15.0.old/completions/iptables bash-completion-2.15.0/completions/iptables
--- bash-completion-2.15.0.old/completions/iptables	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/iptables	2024-11-30 21:20:51.915594946 +0100
@@ -16,7 +16,7 @@ _comp_cmd_iptables()
         -*[AIDRPFXLZ])
             _comp_compgen_split -- "$(
                 "$1" ${table:+-t "$table"} -nL 2>/dev/null |
-                    command sed -ne 's/^Chain \([^ ]\{1,\}\).*$/\1/p'
+                    command gsed -ne 's/^Chain \([^ ]\{1,\}\).*$/\1/p'
             )"
             ;;
         -*t)
@@ -26,24 +26,24 @@ _comp_cmd_iptables()
             if [[ $table == "filter" || ! $table ]]; then
                 _comp_compgen -- -W '$targets'
                 _comp_compgen -a split -- "$("$1" ${table:+-t "$table"} -nL \
-                    2>/dev/null | command sed -ne "$chain" \
+                    2>/dev/null | command gsed -ne "$chain" \
                     -e 's/INPUT|OUTPUT|FORWARD|PREROUTING|POSTROUTING//')"
             elif [[ $table == "nat" ]]; then
                 _comp_compgen -- -W '$targets MIRROR SNAT DNAT MASQUERADE'
                 _comp_compgen -a split -- "$("$1" -t "$table" -nL 2>/dev/null |
-                    command sed -ne "$chain" \
+                    command gsed -ne "$chain" \
                         -e 's/OUTPUT|PREROUTING|POSTROUTING//')"
             elif [[ $table == "mangle" ]]; then
                 _comp_compgen -- -W '$targets MARK TOS'
                 _comp_compgen -a split -- "$("$1" -t "$table" -nL 2>/dev/null |
-                    command sed -ne "$chain" \
+                    command gsed -ne "$chain" \
                         -e 's/INPUT|OUTPUT|FORWARD|PREROUTING|POSTROUTING//')"
             fi
             ;;
         *)
             if [[ $cur == -* ]]; then
                 _comp_compgen_help - <<<"$("$1" --help 2>&1 |
-                    command sed -e "s/^\[\!\]//")"
+                    command gsed -e "s/^\[\!\]//")"
                 [[ ${COMPREPLY-} == *= ]] && compopt -o nospace
             fi
             ;;
diff -pruN bash-completion-2.15.0.old/completions/ipv6calc bash-completion-2.15.0/completions/ipv6calc
--- bash-completion-2.15.0.old/completions/ipv6calc	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/ipv6calc	2024-11-30 21:20:52.426028249 +0100
@@ -12,9 +12,9 @@ _comp_cmd_ipv6calc()
             return
             ;;
         --in | --out | --action | -${noargopts}[IOA])
-            # With ipv6calc < 0.73.0, -m does nothing here, so use sed instead.
+            # With ipv6calc < 0.73.0, -m does nothing here, so use gsed instead.
             _comp_compgen_split -- "$("$1" "$prev" -h 2>&1 |
-                command sed -ne 's/^[[:space:]]\{1,\}\([^[:space:]:]\{1,\}\)[[:space:]]*:.*/\1/p')"
+                command gsed -ne 's/^[[:space:]]\{1,\}\([^[:space:]:]\{1,\}\)[[:space:]]*:.*/\1/p')"
             return
             ;;
         --db-geoip | --db-ip2location-ipv4 | --db-ip2location-ipv6)
@@ -30,7 +30,7 @@ _comp_cmd_ipv6calc()
 
     if [[ $cur == -* ]]; then
         _comp_compgen_help - <<<"$("$1" -h 2>&1 |
-            command sed -e "s/[][]//g")"
+            command gsed -e "s/[][]//g")"
     fi
 
 } &&
diff -pruN bash-completion-2.15.0.old/completions/isql bash-completion-2.15.0/completions/isql
--- bash-completion-2.15.0.old/completions/isql	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/isql	2024-11-30 21:20:51.916956748 +0100
@@ -8,7 +8,7 @@ _comp_cmd_isql()
 
     [[ -f ${ODBCINI-} ]] &&
         _comp_compgen_split -l -- "$(
-            command sed -n 's/\]//g;s/^\[//gp' "$ODBCINI"
+            command gsed -n 's/\]//g;s/^\[//gp' "$ODBCINI"
         )"
 } &&
     complete -F _comp_cmd_isql isql
diff -pruN bash-completion-2.15.0.old/completions/java bash-completion-2.15.0/completions/java
--- bash-completion-2.15.0.old/completions/java	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/java	2024-11-30 21:20:52.191736366 +0100
@@ -70,7 +70,7 @@ _comp_cmd_java__classes()
         if [[ $i == *.@(jar|zip) && -r $i ]]; then
             if type zipinfo &>/dev/null; then
                 _comp_split -a classes "$(zipinfo -1 "$i" "$cur*" 2>/dev/null |
-                    command grep '^[^$]*\.class$')"
+                    command ggrep '^[^$]*\.class$')"
             elif type unzip &>/dev/null; then
                 # Last column, between entries consisting entirely of dashes
                 _comp_split -a classes "$(unzip -lq "$i" "$cur*" 2>/dev/null |
@@ -78,7 +78,7 @@ _comp_cmd_java__classes()
                          flag && $NF ~ /^[^$]*\.class/ { print $NF }')"
             elif type jar &>/dev/null; then
                 _comp_split -a classes "$(jar tf "$i" "$cur" |
-                    command grep '^[^$]*\.class$')"
+                    command ggrep '^[^$]*\.class$')"
             fi
 
         elif [[ -d $i ]]; then
@@ -121,13 +121,13 @@ _comp_cmd_java__packages()
             _comp_expand_glob files '"$i/$cur"*' || continue
             _comp_split -la COMPREPLY "$(
                 command ls -F -d "${files[@]}" 2>/dev/null |
-                    command sed -e 's|^'"$i"'/||'
+                    command gsed -e 's|^'"$i"'/||'
             )"
         fi
     done
     if ((${#COMPREPLY[@]} != 0)); then
         # keep only packages with the package suffix `/` being removed
-        _comp_split -l COMPREPLY "$(printf '%s\n' "${COMPREPLY[@]}" | command sed -n 's,/$,,p')"
+        _comp_split -l COMPREPLY "$(printf '%s\n' "${COMPREPLY[@]}" | command gsed -n 's,/$,,p')"
         # convert path syntax to package syntax
         ((${#COMPREPLY[@]})) && COMPREPLY=("${COMPREPLY[@]//\//.}")
     fi
@@ -318,7 +318,7 @@ _comp_cmd_javac()
         # For some reason there may be -g:none AND -g:{lines,source,vars};
         # convert the none case to the curly brace format so it parses like
         # the others.
-        local opts=$("$1" $helpopt 2>&1 | command sed -e 's/-g:none/-g:{none}/' -ne \
+        local opts=$("$1" $helpopt 2>&1 | command gsed -e 's/-g:none/-g:{none}/' -ne \
             "s/^[[:space:]]*${cur%%:*}:{\([^}]\{1,\}\)}.*/\1/p")
         _comp_compgen -c "${cur#*:}" -- -W "${opts//,/ }"
         return
diff -pruN bash-completion-2.15.0.old/completions/lilo bash-completion-2.15.0/completions/lilo
--- bash-completion-2.15.0.old/completions/lilo	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/lilo	2024-11-30 21:20:52.071403690 +0100
@@ -3,7 +3,7 @@
 _comp_cmd_lilo__labels()
 {
     _comp_compgen_split -- "$(_comp_awk -F = '$1 ~ /^[ \t]*label$/ {print $2}' \
-        "${1:-/etc/lilo.conf}" 2>/dev/null | command sed -e 's/\"//g')"
+        "${1:-/etc/lilo.conf}" 2>/dev/null | command gsed -e 's/\"//g')"
 }
 
 _comp_cmd_lilo()
diff -pruN bash-completion-2.15.0.old/completions/links bash-completion-2.15.0/completions/links
--- bash-completion-2.15.0.old/completions/links	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/links	2024-11-30 21:20:51.985405389 +0100
@@ -28,7 +28,7 @@ _comp_cmd_links()
             ;;
         -driver)
             local drivers=$("$1" -driver foo 2>&1 |
-                command sed -ne '$!d' -e '/^[a-z0-9, ]\{1,\}$/s/,/ /gp')
+                command gsed -ne '$!d' -e '/^[a-z0-9, ]\{1,\}$/s/,/ /gp')
             [[ $drivers ]] || drivers='x svgalib fb directfb pmshell atheos'
             _comp_compgen -- -W "$drivers"
             return
diff -pruN bash-completion-2.15.0.old/completions/lintian bash-completion-2.15.0/completions/lintian
--- bash-completion-2.15.0.old/completions/lintian	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/lintian	2024-11-30 21:20:52.270403920 +0100
@@ -9,7 +9,7 @@ _comp_cmd_lintian__tags()
     if [[ $cur == *, ]]; then
         search=${cur//,/ }
         for item in $search; do
-            tags=$(command sed -e "s/\<$item\>//g" <<<"$tags")
+            tags=$(command gsed -e "s/\<$item\>//g" <<<"$tags")
         done
         _comp_compgen -aR -- -W "$tags"
     elif [[ $cur == *,* ]]; then
@@ -29,11 +29,11 @@ _comp_cmd_lintian__checks()
     if [[ $cur == *, ]]; then
         search=${cur//,/ }
         for item in $search; do
-            match=$(command grep -nE "^(Check-Script|Abbrev): $item$" \
+            match=$(command ggrep -nE "^(Check-Script|Abbrev): $item$" \
                 "${check_files[@]}" | cut -d: -f1)
             todisable=$(_comp_awk '/^(Check-Script|Abbrev)/ { print $2 }' "$match")
             for name in $todisable; do
-                checks=$(command sed -e "s/\<$name\>//g" <<<"$checks")
+                checks=$(command gsed -e "s/\<$name\>//g" <<<"$checks")
             done
         done
         _comp_compgen -aR -- -W "$checks"
@@ -54,7 +54,7 @@ _comp_cmd_lintian__infos()
     if [[ $cur == *, ]]; then
         search=${cur//,/ }
         for item in $search; do
-            infos=$(command sed -e "s/\<$item\>//g" <<<"$infos")
+            infos=$(command gsed -e "s/\<$item\>//g" <<<"$infos")
         done
         _comp_compgen -aR -- -W "$infos"
     elif [[ $cur == *,* ]]; then
diff -pruN bash-completion-2.15.0.old/completions/lvm bash-completion-2.15.0/completions/lvm
--- bash-completion-2.15.0.old/completions/lvm	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/lvm	2024-11-30 21:20:52.302201964 +0100
@@ -8,25 +8,25 @@ _comp_cmd_lvm__filedir()
 _comp_cmd_lvm__volumegroups()
 {
     _comp_compgen_split -- "$(vgscan 2>/dev/null |
-        command sed -n -e 's|.*Found.*"\(.*\)".*$|\1|p')"
+        command gsed -n -e 's|.*Found.*"\(.*\)".*$|\1|p')"
 }
 
 _comp_cmd_lvm__physicalvolumes_all()
 {
     _comp_compgen_split -- "$(pvscan 2>/dev/null |
-        command sed -n -e 's|^.*PV \([^ ]*\) .*|\1|p')"
+        command gsed -n -e 's|^.*PV \([^ ]*\) .*|\1|p')"
 }
 
 _comp_cmd_lvm__physicalvolumes()
 {
     _comp_compgen_split -- "$(pvscan 2>/dev/null |
-        command sed -n -e 's|^.*PV \(.*\) VG.*$|\1|p')"
+        command gsed -n -e 's|^.*PV \(.*\) VG.*$|\1|p')"
 }
 
 _comp_cmd_lvm__logicalvolumes()
 {
     _comp_compgen_split -- "$(lvscan 2>/dev/null |
-        command sed -n -e "s|^.*'\(.*\)'.*$|\1|p")"
+        command gsed -n -e "s|^.*'\(.*\)'.*$|\1|p")"
     if [[ $cur == /dev/mapper/* ]]; then
         _comp_compgen -a filedir
         local i
diff -pruN bash-completion-2.15.0.old/completions/Makefile.in bash-completion-2.15.0/completions/Makefile.in
--- bash-completion-2.15.0.old/completions/Makefile.in	2024-11-24 23:21:15.000000000 +0100
+++ bash-completion-2.15.0/completions/Makefile.in	2024-11-30 21:20:52.284398886 +0100
@@ -42,13 +42,13 @@ am__make_running_with_option = \
       *\\[\ \	]*) \
         bs=\\; \
         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
-          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
+          | gsed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
     esac; \
   fi; \
   skip_next=no; \
   strip_trailopt () \
   { \
-    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
+    flg=`printf '%s\n' "$$flg" | gsed "s/$$1.*$$//"`; \
   }; \
   for flg in $$sane_makeflags; do \
     test $$skip_next = yes && { skip_next=no; continue; }; \
@@ -126,27 +126,27 @@ am__can_run_installinfo = \
     n|no|NO) false;; \
     *) (install-info --version) >/dev/null 2>&1;; \
   esac
-am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
+am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | gsed 's|.|.|g'`;
 am__vpath_adj = case $$p in \
-    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
+    $(srcdir)/*) f=`echo "$$p" | gsed "s|^$$srcdirstrip/||"`;; \
     *) f=$$p;; \
   esac;
-am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
+am__strip_dir = f=`echo $$p | gsed -e 's|^.*/||'`;
 am__install_max = 40
 am__nobase_strip_setup = \
-  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
+  srcdirstrip=`echo "$(srcdir)" | gsed 's/[].[^$$\\*|]/\\\\&/g'`
 am__nobase_strip = \
-  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
+  for p in $$list; do echo "$$p"; done | gsed -e "s|$$srcdirstrip/||"
 am__nobase_list = $(am__nobase_strip_setup); \
   for p in $$list; do echo "$$p $$p"; done | \
-  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
+  gsed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
     if (++n[$$2] == $(am__install_max)) \
       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
     END { for (dir in files) print dir, files[dir] }'
 am__base_list = \
-  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
-  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
+  gsed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
+  gsed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
 am__uninstall_files_from_dir = { \
   test -z "$$files" \
     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
@@ -790,7 +790,7 @@ install-bashcompDATA: $(bashcomp_DATA)
 uninstall-bashcompDATA:
 	@$(NORMAL_UNINSTALL)
 	@list='$(bashcomp_DATA)'; test -n "$(bashcompdir)" || list=; \
-	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
+	files=`for p in $$list; do echo $$p; done | gsed -e 's|^.*/||'`; \
 	dir='$(DESTDIR)$(bashcompdir)'; $(am__uninstall_files_from_dir)
 tags TAGS:
 
@@ -802,21 +802,21 @@ distdir: $(BUILT_SOURCES)
 	$(MAKE) $(AM_MAKEFLAGS) distdir-am
 
 distdir-am: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
+	@srcdirstrip=`echo "$(srcdir)" | gsed 's/[].[^$$\\*]/\\\\&/g'`; \
+	topsrcdirstrip=`echo "$(top_srcdir)" | gsed 's/[].[^$$\\*]/\\\\&/g'`; \
 	list='$(DISTFILES)'; \
 	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
+	  gsed -e "s|^$$srcdirstrip/||;t" \
 	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
 	case $$dist_files in \
 	  */*) $(MKDIR_P) `echo "$$dist_files" | \
-			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
+			   gsed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
 			   sort -u` ;; \
 	esac; \
 	for file in $$dist_files; do \
 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
 	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
+	    dir=`echo "/$$file" | gsed -e 's,/[^/]*$$,,'`; \
 	    if test -d "$(distdir)/$$file"; then \
 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
 	    fi; \
diff -pruN bash-completion-2.15.0.old/completions/makepkg bash-completion-2.15.0/completions/makepkg
--- bash-completion-2.15.0.old/completions/makepkg	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/makepkg	2024-11-30 21:20:51.950959352 +0100
@@ -14,7 +14,7 @@ _comp_cmd_makepkg__slackware()
     esac
 
     if [[ $cur == -* ]]; then
-        _comp_compgen_help - <<<"$("$1" | command sed -e "s/^options://")"
+        _comp_compgen_help - <<<"$("$1" | command gsed -e "s/^options://")"
         return
     fi
 
diff -pruN bash-completion-2.15.0.old/completions/mcrypt bash-completion-2.15.0/completions/mcrypt
--- bash-completion-2.15.0.old/completions/mcrypt	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/mcrypt	2024-11-30 21:20:52.125208331 +0100
@@ -26,7 +26,7 @@ _comp_cmd_mcrypt()
             ;;
         -h | --hash)
             _comp_compgen_split -- "$("$1" --list-hash 2>/dev/null |
-                command sed -e 1d)"
+                command gsed -e 1d)"
             return
             ;;
         -k | -s | --key | --keysize)
diff -pruN bash-completion-2.15.0.old/completions/medusa bash-completion-2.15.0/completions/medusa
--- bash-completion-2.15.0.old/completions/medusa	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/medusa	2024-11-30 21:20:52.456455467 +0100
@@ -16,7 +16,7 @@ _comp_cmd_medusa()
             ;;
         -*M)
             _comp_compgen_split -- "$("$1" -d | _comp_awk '/^ +\+/ {print $2}' |
-                command sed -e 's/\.mod$//')"
+                command gsed -e 's/\.mod$//')"
             return
             ;;
     esac
diff -pruN bash-completion-2.15.0.old/completions/mplayer bash-completion-2.15.0/completions/mplayer
--- bash-completion-2.15.0.old/completions/mplayer	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/mplayer	2024-11-30 21:20:52.437715736 +0100
@@ -4,8 +4,8 @@ _comp_cmd_mplayer__options()
 {
     cur=${cur%\\}
     _comp_compgen_split -- "$("$1" -noconfig all "$2" help 2>/dev/null |
-        command sed -e '/^Available/,/^$/!d' -e '/^Available/d' | _comp_awk '{print $1}' |
-        command sed -e 's/:$//' -e 's/^'"${2#-}"'$//' -e 's/<.*//')"
+        command gsed -e '/^Available/,/^$/!d' -e '/^Available/d' | _comp_awk '{print $1}' |
+        command gsed -e 's/:$//' -e 's/^'"${2#-}"'$//' -e 's/<.*//')"
 }
 
 _comp_cmd_mplayer()
@@ -54,7 +54,7 @@ _comp_cmd_mplayer()
             ;;
         -subcp | -msgcharset)
             local cp
-            if _comp_split cp "$(iconv --list 2>/dev/null | command sed -e "s@//@@;" 2>/dev/null)"; then
+            if _comp_split cp "$(iconv --list 2>/dev/null | command gsed -e "s@//@@;" 2>/dev/null)"; then
                 if [[ $cur == "${cur,,}" ]]; then
                     _comp_compgen -- -W '"${cp[@],,}"'
                 else
@@ -267,7 +267,7 @@ _comp_cmd_mplayer()
     case $cur in
         -*)
             _comp_compgen_split -- "$("$cmd" -noconfig all -list-options 2>/dev/null |
-                command sed -ne "1,/^[[:space:]]*Name/d" \
+                command gsed -ne "1,/^[[:space:]]*Name/d" \
                     -e "s/^[[:space:]]*/-/" -e "s/[[:space:]:].*//" \
                     -e "/^-\(Total\|.*\*\)\{0,1\}$/!p")"
             ;;
diff -pruN bash-completion-2.15.0.old/completions/msynctool bash-completion-2.15.0/completions/msynctool
--- bash-completion-2.15.0.old/completions/msynctool	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/msynctool	2024-11-30 21:20:52.375210452 +0100
@@ -8,22 +8,22 @@ _comp_cmd_msynctool()
     case $words in
         --configure)
             _comp_compgen_split -- "$("$1" --showgroup "$prev" |
-                _comp_awk '/^Member/ {print $2}' | command sed -e 's/:$//')"
+                _comp_awk '/^Member/ {print $2}' | command gsed -e 's/:$//')"
             return
             ;;
         --addmember)
-            _comp_compgen_split -- "$("$1" --listplugins | command sed -e 1d)"
+            _comp_compgen_split -- "$("$1" --listplugins | command gsed -e 1d)"
             return
             ;;
     esac
 
     case $prev in
         --configure | --addgroup | --delgroup | --showgroup | --sync | --addmember)
-            _comp_compgen_split -- "$("$1" --listgroups | command sed -e 1d)"
+            _comp_compgen_split -- "$("$1" --listgroups | command gsed -e 1d)"
             return
             ;;
         --showformats | --filter-objtype | --slow-sync)
-            _comp_compgen_split -- "$("$1" --listobjects | command sed -e 1d)"
+            _comp_compgen_split -- "$("$1" --listobjects | command gsed -e 1d)"
             return
             ;;
     esac
diff -pruN bash-completion-2.15.0.old/completions/mutt bash-completion-2.15.0/completions/mutt
--- bash-completion-2.15.0.old/completions/mutt	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/mutt	2024-11-30 21:20:52.451907770 +0100
@@ -67,7 +67,7 @@ _comp_cmd_mutt__get_conffiles__visit()
     conffiles+=("$1")
 
     local -a newconffiles
-    _comp_split newconffiles "$(command sed -n 's|^source[[:space:]]\{1,\}\([^[:space:]]\{1,\}\).*$|\1|p' "$1")" ||
+    _comp_split newconffiles "$(command gsed -n 's|^source[[:space:]]\{1,\}\([^[:space:]]\{1,\}\).*$|\1|p' "$1")" ||
         return 0
 
     local file REPLY
@@ -90,7 +90,7 @@ _comp_cmd_mutt__aliases()
     local REPLY
     _comp_cmd_mutt__get_conffiles "$muttrc" || return 0
     conffiles=("${REPLY[@]}")
-    _comp_compgen -a split -- "$(command sed -n 's|^alias[[:space:]]\{1,\}\([^[:space:]]\{1,\}\).*$|\1|p' \
+    _comp_compgen -a split -- "$(command gsed -n 's|^alias[[:space:]]\{1,\}\([^[:space:]]\{1,\}\).*$|\1|p' \
         "${conffiles[@]}")"
 }
 
@@ -101,7 +101,7 @@ _comp_cmd_mutt__query()
     [[ $cur ]] || return 0
     local muttcmd=${words[0]}
 
-    local querycmd="$("$muttcmd" -Q query_command 2>/dev/null | command sed -e 's|^query_command=\"\(.*\)\"$|\1|' -e 's|%s|'"$cur"'|')"
+    local querycmd="$("$muttcmd" -Q query_command 2>/dev/null | command gsed -e 's|^query_command=\"\(.*\)\"$|\1|' -e 's|%s|'"$cur"'|')"
     if [[ $querycmd ]]; then
         local REPLY
         _comp_expand_tilde "$querycmd"
@@ -109,7 +109,7 @@ _comp_cmd_mutt__query()
         # generate queryresults:
         # $querycmd is expected to be a command with arguments
         _comp_compgen -a split -- "$($querycmd |
-            command sed -n '2,$s|^\([^[:space:]]\{1,\}\).*|\1|p')"
+            command gsed -n '2,$s|^\([^[:space:]]\{1,\}\).*|\1|p')"
     fi
 }
 
@@ -120,7 +120,7 @@ _comp_cmd_mutt__filedir()
     _comp_cmd_mutt__get_muttrc
     muttrc=$REPLY
     if [[ $cur == [=+]* ]]; then
-        folder="$("$muttcmd" -F "$muttrc" -Q folder 2>/dev/null | command sed -e 's|^folder=\"\(.*\)\"$|\1|')"
+        folder="$("$muttcmd" -F "$muttrc" -Q folder 2>/dev/null | command gsed -e 's|^folder=\"\(.*\)\"$|\1|')"
         [[ $folder ]] || folder=~/Mail
 
         # Match any file in $folder beginning with $cur
@@ -131,7 +131,7 @@ _comp_cmd_mutt__filedir()
         return
     elif [[ $cur == !* ]]; then
         spoolfile="$("$muttcmd" -F "$muttrc" -Q spoolfile 2>/dev/null |
-            command sed -e 's|^spoolfile=\"\(.*\)\"$|\1|')"
+            command gsed -e 's|^spoolfile=\"\(.*\)\"$|\1|')"
         if [[ $spoolfile ]]; then
             _comp_dequote "\"$spoolfile\"" && spoolfile=$REPLY
             cur=$spoolfile${cur:1}
diff -pruN bash-completion-2.15.0.old/completions/mysql bash-completion-2.15.0/completions/mysql
--- bash-completion-2.15.0.old/completions/mysql	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/mysql	2024-11-30 21:20:52.107997324 +0100
@@ -35,7 +35,7 @@ _comp_cmd_mysql()
             ;;
         --database | -${noargopts}D)
             _comp_compgen_split -- "$(mysqlshow 2>/dev/null |
-                command sed -ne '2d' -e 's/^|.\([^|]*\)|.*/\1/p')"
+                command gsed -ne '2d' -e 's/^|.\([^|]*\)|.*/\1/p')"
             return
             ;;
 
@@ -102,7 +102,7 @@ _comp_cmd_mysql()
     esac
 
     _comp_compgen_split -- "$(mysqlshow 2>/dev/null |
-        command sed -ne '2d' -e 's/^|.\([^|]*\)|.*/\1/p')"
+        command gsed -ne '2d' -e 's/^|.\([^|]*\)|.*/\1/p')"
 } &&
     complete -F _comp_cmd_mysql mysql
 
diff -pruN bash-completion-2.15.0.old/completions/ncftp bash-completion-2.15.0/completions/ncftp
--- bash-completion-2.15.0.old/completions/ncftp	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/ncftp	2024-11-30 21:20:52.135565910 +0100
@@ -17,7 +17,7 @@ _comp_cmd_ncftp()
     fi
 
     if [[ $cword -eq 1 && -f ~/.ncftp/bookmarks ]]; then
-        _comp_compgen_split -- "$(command sed -ne \
+        _comp_compgen_split -- "$(command gsed -ne \
             's/^\([^,]\{1,\}\),.*$/\1/p' ~/.ncftp/bookmarks)"
     fi
 
diff -pruN bash-completion-2.15.0.old/completions/nmap bash-completion-2.15.0/completions/nmap
--- bash-completion-2.15.0.old/completions/nmap	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/nmap	2024-11-30 21:20:52.226872345 +0100
@@ -36,7 +36,7 @@ _comp_cmd_nmap()
         # strip everything following a non-option name or = char
         # TODO: should expand -T<0-5> to -T0 ... -T5
         _comp_compgen_split -- "$(
-            "$1" --help 2>&1 | command sed \
+            "$1" --help 2>&1 | command gsed \
                 -e "s/:.*$//" \
                 -e "s/=.*$/=/" \
                 -e "s/;[[:space:]]*-/ -/g" \
diff -pruN bash-completion-2.15.0.old/completions/openssl bash-completion-2.15.0/completions/openssl
--- bash-completion-2.15.0.old/completions/openssl	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/openssl	2024-11-30 21:20:52.046932270 +0100
@@ -33,8 +33,8 @@ _comp_cmd_openssl__compgen_digests()
             _comp_awk '/^-.*[ \t]to use the .* message digest algorithm/ { print $1 }'
     )"
     _comp_compgen -ac "${cur#-}" split -P "-" -- "$("$1" help 2>&1 |
-        command sed -ne '/^Message Digest commands/,/^[[:space:]]*$/p' |
-        command sed -e 1d)"
+        command gsed -ne '/^Message Digest commands/,/^[[:space:]]*$/p' |
+        command gsed -e 1d)"
 }
 
 _comp_cmd_openssl()
@@ -46,7 +46,7 @@ _comp_cmd_openssl()
 
     if ((cword == 1)); then
         local commands
-        commands="$("$1" help 2>&1 | command sed -e '/commands\|help:/d')"
+        commands="$("$1" help 2>&1 | command gsed -e '/commands\|help:/d')"
         _comp_compgen -- -W "$commands"
     else
         command=${words[1]}
diff -pruN bash-completion-2.15.0.old/completions/pdftotext bash-completion-2.15.0/completions/pdftotext
--- bash-completion-2.15.0.old/completions/pdftotext	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/pdftotext	2024-11-30 21:20:52.394866709 +0100
@@ -12,7 +12,7 @@ _comp_cmd_pdftotext()
             ;;
         -enc)
             _comp_compgen_split -- "$("$1" -listenc 2>/dev/null |
-                command sed -e 1d)"
+                command gsed -e 1d)"
             return
             ;;
         -eol)
diff -pruN bash-completion-2.15.0.old/completions/perl bash-completion-2.15.0/completions/perl
--- bash-completion-2.15.0.old/completions/perl	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/perl	2024-11-30 21:20:51.858413689 +0100
@@ -131,7 +131,7 @@ _comp_cmd_perldoc()
             _comp_cmd_perl__helper "" perldocs
             if [[ $cur == p* ]]; then
                 _comp_compgen -a split -- "$(PERLDOC_PAGER=cat "$1" -u perl |
-                    command sed -ne '/perl.*Perl overview/,/perlwin32/p' |
+                    command gsed -ne '/perl.*Perl overview/,/perlwin32/p' |
                     _comp_awk 'NF >= 2 && $1 ~ /^perl/ { print $1 }')"
             fi
         fi
diff -pruN bash-completion-2.15.0.old/completions/pgrep bash-completion-2.15.0/completions/pgrep
--- bash-completion-2.15.0.old/completions/pgrep	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/pgrep	2024-11-30 21:20:52.423741564 +0100
@@ -38,7 +38,7 @@ _comp_cmd_pgrep()
         --nslist)
             _comp_compgen -c "${cur##*,}" split -F $' \t\n,' -- "$(
                 "$1" --help 2>&1 |
-                    command sed -ne 's/^[[:space:]]*Available namespaces://p'
+                    command gsed -ne 's/^[[:space:]]*Available namespaces://p'
             )" &&
                 _comp_delimited , -W '"${COMPREPLY[@]}"'
             return
@@ -48,7 +48,7 @@ _comp_cmd_pgrep()
     if [[ $cur == -* ]]; then
         _comp_compgen_help ||
             _comp_compgen_usage - <<<"$("$1" --usage 2>&1 |
-                command sed -e "s/\[-signal\]//" -e "s/\[-SIGNAL\]//")"
+                command gsed -e "s/\[-signal\]//" -e "s/\[-SIGNAL\]//")"
         [[ $cword -eq 1 && $1 == *pkill ]] && _comp_compgen -a signals -
         return
     fi
diff -pruN bash-completion-2.15.0.old/completions/pkgadd bash-completion-2.15.0/completions/pkgadd
--- bash-completion-2.15.0.old/completions/pkgadd	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/pkgadd	2024-11-30 21:20:51.956972905 +0100
@@ -48,7 +48,7 @@ _comp_cmd_pkgadd()
                     local REPLY
                     _comp_dequote "$device"
                     _comp_split -l pkginst_list "$(strings "${REPLY-}" |
-                        command sed -n 's/^PKG=//p' | sort -u)"
+                        command gsed -n 's/^PKG=//p' | sort -u)"
                 fi
                 ((${#pkginst_list[@]})) &&
                     _comp_compgen -- -W '"${pkginst_list[@]}"'
diff -pruN bash-completion-2.15.0.old/completions/pngfix bash-completion-2.15.0/completions/pngfix
--- bash-completion-2.15.0.old/completions/pngfix	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/pngfix	2024-11-30 21:20:52.049224557 +0100
@@ -15,7 +15,7 @@ _comp_cmd_pngfix()
             ;;
         --strip)
             _comp_compgen_split -F '|' -- "$("$1" --help 2>&1 |
-                command sed -ne 's/.*--strip=\[\([^]]*\)\].*/\1/p')"
+                command gsed -ne 's/.*--strip=\[\([^]]*\)\].*/\1/p')"
             return
             ;;
     esac
diff -pruN bash-completion-2.15.0.old/completions/postcat bash-completion-2.15.0/completions/postcat
--- bash-completion-2.15.0.old/completions/postcat	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/postcat	2024-11-30 21:20:52.336789302 +0100
@@ -23,7 +23,7 @@ _comp_cmd_postcat()
     done
     if [[ $qfile ]]; then
         _comp_compgen_split -- "$(mailq 2>/dev/null |
-            command sed -e '1d; $d; /^[^0-9A-Z]/d; /^$/d; s/[* !].*$//')"
+            command gsed -e '1d; $d; /^[^0-9A-Z]/d; /^$/d; s/[* !].*$//')"
         return
     fi
 
diff -pruN bash-completion-2.15.0.old/completions/postsuper bash-completion-2.15.0/completions/postsuper
--- bash-completion-2.15.0.old/completions/postsuper	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/postsuper	2024-11-30 21:20:52.139032870 +0100
@@ -12,17 +12,17 @@ _comp_cmd_postsuper()
             ;;
         -[dr])
             _comp_compgen_split -- "ALL $(mailq 2>/dev/null |
-                command sed -e '1d; $d; /^[^0-9A-Z]/d; /^$/d; s/[* !].*$//')"
+                command gsed -e '1d; $d; /^[^0-9A-Z]/d; /^$/d; s/[* !].*$//')"
             return
             ;;
         -h)
             _comp_compgen_split -- "ALL $(mailq 2>/dev/null |
-                command sed \
+                command gsed \
                     -e '1d; $d; /^[^0-9A-Z]/d; /^$/d; s/[* ].*$//; /!$/d')"
             return
             ;;
         -H)
-            _comp_compgen_split -- "ALL $(mailq 2>/dev/null | command sed \
+            _comp_compgen_split -- "ALL $(mailq 2>/dev/null | command gsed \
                 -e '1d; $d; /^[^0-9A-Z]/d; /^$/d; /^[0-9A-Z]*[* ]/d; s/!.*$//')"
             return
             ;;
diff -pruN bash-completion-2.15.0.old/completions/povray bash-completion-2.15.0/completions/povray
--- bash-completion-2.15.0.old/completions/povray	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/povray	2024-11-30 21:20:52.337951598 +0100
@@ -23,7 +23,7 @@ _comp_cmd_povray()
             # guess what output file type user may want
             case $(
                 IFS=$'\n'
-                command grep '^[-+]F' <<<"${words[*]}"
+                command ggrep '^[-+]F' <<<"${words[*]}"
             ) in
                 [-+]FN) oext=png ;;
                 [-+]FP) oext=ppm ;;
@@ -48,7 +48,7 @@ _comp_cmd_povray()
             cur="${povcur#*\[}"
             pfx="${povcur%\["$cur"}" # prefix == filename
             [[ -f $pfx && -r $pfx ]] || return
-            _comp_compgen_split -l -- "$(command sed -ne \
+            _comp_compgen_split -l -- "$(command gsed -ne \
                 's/^[[:space:]]*\[\([^]]*\]\).*$/\1/p' -- "$pfx")" &&
                 # to prevent [bar] expand to nothing.  can be done more easily?
                 _comp_compgen -Rv COMPREPLY -- -P "${pfx}[" -W '"${COMPREPLY[@]}"'
diff -pruN bash-completion-2.15.0.old/completions/ps bash-completion-2.15.0/completions/ps
--- bash-completion-2.15.0.old/completions/ps	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/ps	2024-11-30 21:20:52.349300526 +0100
@@ -61,7 +61,7 @@ _comp_cmd_ps()
             "$1" --help
             "$1" --help all
         } 2>/dev/null |
-            command sed -e "s/, [A-Za-z],/,/")" ||
+            command gsed -e "s/, [A-Za-z],/,/")" ||
             _comp_compgen_usage
     fi
 } &&
diff -pruN bash-completion-2.15.0.old/completions/puppet bash-completion-2.15.0/completions/puppet
--- bash-completion-2.15.0.old/completions/puppet	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/puppet	2024-11-30 21:20:52.062177705 +0100
@@ -24,7 +24,7 @@ _comp_cmd_puppet__certs()
     if [[ $1 == --all ]]; then
         cert_list=$(
             $puppetca --list --all |
-                command sed -e 's/^[+-]\{0,1\}[[:space:]]*\([^[:space:]]\{1,\}\)[[:space:]]\{1,\}.*$/\1/'
+                command gsed -e 's/^[+-]\{0,1\}[[:space:]]*\([^[:space:]]\{1,\}\)[[:space:]]\{1,\}.*$/\1/'
         )
     else
         cert_list=$("$puppetca" --list)
@@ -35,7 +35,7 @@ _comp_cmd_puppet__certs()
 _comp_cmd_puppet__types()
 {
     puppet_types=$(
-        puppet describe --list | command sed -e 's/^\([^[:space:]]\{1,\}\).*$/\1/'
+        puppet describe --list | command gsed -e 's/^\([^[:space:]]\{1,\}\).*$/\1/'
     )
     _comp_compgen -a -- -W "$puppet_types"
 }
@@ -47,7 +47,7 @@ _comp_cmd_puppet__references()
         puppetdoc=puppetdoc
 
     puppet_doc_list=$(
-        $puppetdoc --list | command sed -e 's/^\([^[:space:]]\{1,\}\).*$/\1/'
+        $puppetdoc --list | command gsed -e 's/^\([^[:space:]]\{1,\}\).*$/\1/'
     )
     _comp_compgen -a -- -W "$puppet_doc_list"
 }
diff -pruN bash-completion-2.15.0.old/completions/pydoc bash-completion-2.15.0/completions/pydoc
--- bash-completion-2.15.0.old/completions/pydoc	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/pydoc	2024-11-30 21:20:52.321543150 +0100
@@ -16,7 +16,7 @@ _comp_cmd_pydoc()
     esac
 
     if [[ $cur == -* ]]; then
-        _comp_compgen_help - <<<"$("$1" | command sed -e "s/^pydoc3\{0,1\} //")"
+        _comp_compgen_help - <<<"$("$1" | command gsed -e "s/^pydoc3\{0,1\} //")"
         return
     fi
 
@@ -32,7 +32,7 @@ _comp_cmd_pydoc()
     # Note that we don't do "pydoc modules" as it is known to hang on
     # some systems; _comp_xfunc_python_modules tends to work better and faster.
     _comp_compgen -a split -- "$("$1" keywords topics |
-        command sed -e '/^Here/d')"
+        command gsed -e '/^Here/d')"
 
     _comp_compgen -a filedir py
 } &&
diff -pruN bash-completion-2.15.0.old/completions/pylint bash-completion-2.15.0/completions/pylint
--- bash-completion-2.15.0.old/completions/pylint	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/pylint	2024-11-30 21:20:52.054987507 +0100
@@ -11,10 +11,10 @@ _comp_cmd_pylint__message_ids()
     local msgs="$(
         set -o pipefail
         "$1" --list-msgs-enabled 2>/dev/null |
-            command sed -ne "$filter" |
-            command sed -ne 's/^[[:space:]]\{1,\}\([a-z-]\{6,\}\).*/\1/p' ||
+            command gsed -ne "$filter" |
+            command gsed -ne 's/^[[:space:]]\{1,\}\([a-z-]\{6,\}\).*/\1/p' ||
             "$1" --list-msgs 2>/dev/null |
-            command sed -ne 's/^:\([a-z-]\{6,\}\).*/\1/p'
+            command gsed -ne 's/^:\([a-z-]\{6,\}\).*/\1/p'
     )"
     _comp_delimited , -W "$msgs"
 }
diff -pruN bash-completion-2.15.0.old/completions/pytest bash-completion-2.15.0/completions/pytest
--- bash-completion-2.15.0.old/completions/pytest	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/pytest	2024-11-30 21:20:52.303320826 +0100
@@ -3,7 +3,7 @@
 _comp_cmd_pytest__option_choice_args()
 {
     local modes=$("$1" "$2=bash-completion-nonexistent" 2>&1 |
-        command sed -e 's/[^[:space:][:alnum:]_-]\{1,\}//g' \
+        command gsed -e 's/[^[:space:][:alnum:]_-]\{1,\}//g' \
             -ne 's/.*choose from //p')
     _comp_compgen -a -- -W '$modes'
 }
diff -pruN bash-completion-2.15.0.old/completions/qdbus bash-completion-2.15.0/completions/qdbus
--- bash-completion-2.15.0.old/completions/qdbus	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/qdbus	2024-11-30 21:20:52.004080799 +0100
@@ -6,7 +6,7 @@ _comp_cmd_qdbus()
     _comp_initialize -- "$@" || return
 
     _comp_compgen_split -- "$(
-        command "${words[@]::cword}" 2>/dev/null | command sed 's/(.*)//'
+        command "${words[@]::cword}" 2>/dev/null | command gsed 's/(.*)//'
     )"
 } &&
     complete -F _comp_cmd_qdbus qdbus dcop
diff -pruN bash-completion-2.15.0.old/completions/reportbug bash-completion-2.15.0/completions/reportbug
--- bash-completion-2.15.0.old/completions/reportbug	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/reportbug	2024-11-30 21:20:51.983019078 +0100
@@ -33,7 +33,7 @@ _comp_cmd_reportbug()
             ;;
         --tag | --ui | --interface | --type | --bts | --severity | --mode | -${noargopts}[TutBS])
             _comp_compgen_split -- "$("$1" "$prev" help 2>&1 |
-                command sed -ne '/^[[:space:]]/p')"
+                command gsed -ne '/^[[:space:]]/p')"
             return
             ;;
         --editor | --mua | --mbox-reader-cmd | -${noargopts}e)
diff -pruN bash-completion-2.15.0.old/completions/rpcdebug bash-completion-2.15.0/completions/rpcdebug
--- bash-completion-2.15.0.old/completions/rpcdebug	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/rpcdebug	2024-11-30 21:20:51.938678957 +0100
@@ -13,7 +13,7 @@ _comp_cmd_rpcdebug__flags()
 
     if [[ $module ]]; then
         _comp_compgen_split -- "$(rpcdebug -vh 2>&1 |
-            command sed -ne 's/^'"$module"'[[:space:]]\{1,\}//p')"
+            command gsed -ne 's/^'"$module"'[[:space:]]\{1,\}//p')"
     fi
 }
 
diff -pruN bash-completion-2.15.0.old/completions/rpm bash-completion-2.15.0/completions/rpm
--- bash-completion-2.15.0.old/completions/rpm	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/rpm	2024-11-30 21:20:52.176504056 +0100
@@ -13,7 +13,7 @@ _comp_cmd_rpm__compgen_installed_package
     if [[ -r /var/log/rpmpkgs &&
         /var/log/rpmpkgs -nt /var/lib/rpm/Packages ]]; then
         # using RHL 7.2 or later - this is quicker than querying the DB
-        _comp_compgen_split -- "$(command sed -ne \
+        _comp_compgen_split -- "$(command gsed -ne \
             's|^\([^[:space:]]\{1,\}\)-[^[:space:]-]\{1,\}-[^[:space:]-]\{1,\}\.rpm$|\1|p' \
             /var/log/rpmpkgs)"
     elif type rpmqpack &>/dev/null; then
@@ -37,7 +37,7 @@ _comp_cmd_rpm__groups()
 _comp_cmd_rpm__macros()
 {
     # get a list of macros
-    _comp_compgen_split -- "$("${1:-rpm}" --showrc | command sed -ne \
+    _comp_compgen_split -- "$("${1:-rpm}" --showrc | command gsed -ne \
         's/^-\{0,1\}[0-9]\{1,\}[:=][[:space:]]\{1,\}\([^[:space:](]\{3,\}\).*/%\1/p')"
 }
 
@@ -46,7 +46,7 @@ _comp_cmd_rpm__buildarchs()
 {
     # Case-insensitive BRE to match "compatible build archs"
     local regex_header='[cC][oO][mM][pP][aA][tT][iI][bB][lL][eE][[:space:]]\{1,\}[bB][uU][iI][lL][dD][[:space:]]\{1,\}[aA][rR][cC][hH][sS]'
-    _comp_compgen_split -- "$("${1:-rpm}" --showrc | command sed -ne \
+    _comp_compgen_split -- "$("${1:-rpm}" --showrc | command gsed -ne \
         "s/^[[:space:]]*${regex_header}[[:space:]]*:[[:space:]]*\(.*\)/\1/p")"
 }
 
@@ -120,7 +120,7 @@ _comp_cmd_rpm()
                 esac
                 _comp_compgen_split -l -- "$("$1" -qa --nodigest \
                     --nosignature --queryformat="\"$fmt\\n\"" 2>/dev/null |
-                    command grep -vF '(none)')"
+                    command ggrep -vF '(none)')"
             fi
             return
             ;;
@@ -281,7 +281,7 @@ _comp_cmd_rpmbuild()
             _comp_cmd_rpm__configdir
             if [[ $cfgdir ]]; then
                 _comp_compgen_split -- "$(command ls "$cfgdir" 2>/dev/null |
-                    command sed -ne 's/^brp-//p')"
+                    command gsed -ne 's/^brp-//p')"
             fi
             ;;
         --define | --with | --without | -${noargopts}D)
diff -pruN bash-completion-2.15.0.old/completions/rsync bash-completion-2.15.0/completions/rsync
--- bash-completion-2.15.0.old/completions/rsync	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/rsync	2024-11-30 21:20:52.166080144 +0100
@@ -85,7 +85,7 @@ _comp_cmd_rsync()
             # meaning before v3.2.0) contain the following unusual line in
             # --help:
             # "(-h) --help                  show this help (-h is --help only if used alone)"
-            _comp_compgen -Rv tmp help - <<<"$("$1" --help 2>&1 | command sed -e 's/^([^)]*)//')"
+            _comp_compgen -Rv tmp help - <<<"$("$1" --help 2>&1 | command gsed -e 's/^([^)]*)//')"
 
             _comp_compgen -- -W '"${tmp[@]}"
                 --daemon --old-d{,irs}
@@ -102,7 +102,7 @@ _comp_cmd_rsync()
                 fi
             done
             if [[ $shell == ssh ]]; then
-                local rsync_version=$("$1" --version 2>/dev/null | sed -n '1s/.*rsync *version \([0-9.]*\).*/\1/p')
+                local rsync_version=$("$1" --version 2>/dev/null | gsed -n '1s/.*rsync *version \([0-9.]*\).*/\1/p')
                 _comp_cmd_rsync__vercomp "$rsync_version" "3.2.4"
                 if (($? == 2)); then
                     _comp_compgen -x scp remote_files
diff -pruN bash-completion-2.15.0.old/completions/sbopkg bash-completion-2.15.0/completions/sbopkg
--- bash-completion-2.15.0.old/completions/sbopkg	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/sbopkg	2024-11-30 21:20:52.372973228 +0100
@@ -61,7 +61,7 @@ _comp_cmd_sbopkg()
     local file=${REPO_ROOT-}/${REPO_NAME-}/${REPO_BRANCH-}/SLACKBUILDS.TXT
     [[ -f $file && -r $file ]] || return
 
-    _comp_compgen_split -l -- "$(command sed -ne "s/^SLACKBUILD NAME: //p" \
+    _comp_compgen_split -l -- "$(command gsed -ne "s/^SLACKBUILD NAME: //p" \
         "$file")"
     _comp_compgen -aC "$QUEUEDIR" -- -f -X "!*.sqf"
 } &&
diff -pruN bash-completion-2.15.0.old/completions/screen bash-completion-2.15.0/completions/screen
--- bash-completion-2.15.0.old/completions/screen	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/screen	2024-11-30 21:20:52.065753988 +0100
@@ -3,7 +3,7 @@
 _comp_cmd_screen__sessions()
 {
     local -a sessions
-    _comp_split sessions "$(command screen -ls | command sed -ne \
+    _comp_split sessions "$(command screen -ls | command gsed -ne \
         's|^\t\{1,\}\([0-9]\{1,\}\.[^\t]\{1,\}\).*'"$1"'.*$|\1|p')" || return
     if [[ $cur == +([0-9])?(.*) ]]; then
         # Complete sessions including pid prefixes
diff -pruN bash-completion-2.15.0.old/completions/shellcheck bash-completion-2.15.0/completions/shellcheck
--- bash-completion-2.15.0.old/completions/shellcheck	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/shellcheck	2024-11-30 21:20:52.082836598 +0100
@@ -3,7 +3,7 @@
 _comp_cmd_shellcheck__optarg()
 {
     local args=$("$1" --help 2>&1 |
-        command sed -e 's/,/ /g' -ne 's/^.*'"$2"'\>.*(\([^)]*\)).*/\1/p')
+        command gsed -e 's/,/ /g' -ne 's/^.*'"$2"'\>.*(\([^)]*\)).*/\1/p')
     _comp_compgen -a -- -W '$args'
 }
 
@@ -23,8 +23,8 @@ _comp_cmd_shellcheck()
             ;;
         --format | -${noargopts}f)
             local args=$("$1" --format=nonexistent-format /dev/null 2>&1 |
-                command sed -ne '/^Supported formats/,//p' |
-                command sed -ne '/^[[:space:]]/p')
+                command gsed -ne '/^Supported formats/,//p' |
+                command gsed -ne '/^[[:space:]]/p')
             _comp_compgen -- -W '$args'
             return
             ;;
diff -pruN bash-completion-2.15.0.old/completions/sitecopy bash-completion-2.15.0/completions/sitecopy
--- bash-completion-2.15.0.old/completions/sitecopy	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/sitecopy	2024-11-30 21:20:51.990204538 +0100
@@ -44,7 +44,7 @@ _comp_cmd_sitecopy()
 
     if [[ -r ~/.sitecopyrc ]]; then
         _comp_compgen_split -- "$("$1" -v |
-            command sed -n '/^Site:/s/Site: //p')"
+            command gsed -n '/^Site:/s/Site: //p')"
     fi
 } &&
     complete -F _comp_cmd_sitecopy -o default sitecopy
diff -pruN bash-completion-2.15.0.old/completions/slabtop bash-completion-2.15.0/completions/slabtop
--- bash-completion-2.15.0.old/completions/slabtop	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/slabtop	2024-11-30 21:20:52.101128548 +0100
@@ -13,7 +13,7 @@ _comp_cmd_slabtop()
             ;;
         --sort | -${noargopts}s)
             _comp_compgen_split -- "$(
-                "$1" --help | command sed \
+                "$1" --help | command gsed \
                     -e '/^The following are valid sort criteria/,/^$/!d' \
                     -ne 's/^[[:space:]]\(.\):.*/\1/p'
             )"
diff -pruN bash-completion-2.15.0.old/completions/slapt-get bash-completion-2.15.0/completions/slapt-get
--- bash-completion-2.15.0.old/completions/slapt-get	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/slapt-get	2024-11-30 21:20:52.442654180 +0100
@@ -62,14 +62,14 @@ _comp_cmd_slapt_get()
             local name=${cur%%-*}
             _comp_compgen_split -l -- "$(
                 LC_ALL=C "$1" -c "$config" --search "^$name" 2>/dev/null |
-                    LC_ALL=C command sed -ne "/^$cur/{s/ .*$//;p;}"
+                    LC_ALL=C command gsed -ne "/^$cur/{s/ .*$//;p;}"
             )"
             return
             ;;
         avl) # --install|-i|
             _comp_compgen_split -l -- "$(
                 LC_ALL=C "$1" -c "$config" --available 2>/dev/null |
-                    LC_ALL=C command sed -ne "/^$cur/{s/ .*$//;p;}"
+                    LC_ALL=C command gsed -ne "/^$cur/{s/ .*$//;p;}"
             )"
             return
             ;;
diff -pruN bash-completion-2.15.0.old/completions/slapt-src bash-completion-2.15.0/completions/slapt-src
--- bash-completion-2.15.0.old/completions/slapt-src	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/slapt-src	2024-11-30 21:20:52.168369893 +0100
@@ -59,13 +59,13 @@ _comp_cmd_slapt_src()
         _comp_compgen_split -l -- "$(
             LC_ALL=C
             "$1" --config "$config" --search "^$name" 2>/dev/null |
-                command sed -ne "/^$cur/{s/^$name:\([^ ]*\) .*$/\1/;p;}"
+                command gsed -ne "/^$cur/{s/^$name:\([^ ]*\) .*$/\1/;p;}"
         )"
     else
         _comp_compgen_split -l -- "$(
             LC_ALL=C
             "$1" --config "$config" --search "^$cur" 2>/dev/null |
-                command sed -ne "/^$cur/{s/ .*$//;p;}"
+                command gsed -ne "/^$cur/{s/ .*$//;p;}"
         )"
     fi
 } &&
diff -pruN bash-completion-2.15.0.old/completions/smbclient bash-completion-2.15.0/completions/smbclient
--- bash-completion-2.15.0.old/completions/smbclient	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/smbclient	2024-11-30 21:20:51.882915014 +0100
@@ -16,7 +16,7 @@ _comp_cmd_smbclient__hosts()
 {
     if [[ ${BASH_COMPLETION_CMD_SMBTREE_SCAN-${COMP_SAMBA_SCAN-}} ]]; then
         _comp_compgen_split -- "$(smbtree -N -S |
-            command sed -ne 's/^[[:space:]]*\\\\*\([^[:space:]]*\).*/\1/p')"
+            command gsed -ne 's/^[[:space:]]*\\\\*\([^[:space:]]*\).*/\1/p')"
     fi
 }
 
diff -pruN bash-completion-2.15.0.old/completions/ss bash-completion-2.15.0/completions/ss
--- bash-completion-2.15.0.old/completions/ss	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/ss	2024-11-30 21:20:51.958161854 +0100
@@ -17,7 +17,7 @@ _comp_cmd_ss()
             ;;
         --query | -${noargopts}A)
             local queries=$("$1" --help |
-                command sed -e 's/|/ /g' -ne 's/.*QUERY := {\([^}]*\)}.*/\1/p')
+                command gsed -e 's/|/ /g' -ne 's/.*QUERY := {\([^}]*\)}.*/\1/p')
             _comp_delimited , -W '$queries'
             return
             ;;
diff -pruN bash-completion-2.15.0.old/completions/ssh bash-completion-2.15.0/completions/ssh
--- bash-completion-2.15.0.old/completions/ssh	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/ssh	2024-11-30 21:20:52.197591384 +0100
@@ -494,7 +494,7 @@ _comp_xfunc_scp_compgen_remote_files()
 
     # unescape (3 backslashes to 1 for chars we escaped)
     # shellcheck disable=SC2090
-    _path=$(command sed -e 's/\\\\\\\('"$_comp_cmd_scp__path_esc"'\)/\\\1/g' <<<"$_path")
+    _path=$(command gsed -e 's/\\\\\\\('"$_comp_cmd_scp__path_esc"'\)/\\\1/g' <<<"$_path")
 
     # default to home dir of specified user on remote host
     if [[ ! $_path ]]; then
@@ -512,14 +512,14 @@ _comp_xfunc_scp_compgen_remote_files()
         # shellcheck disable=SC2090
         _files=$(ssh -o 'Batchmode yes' "$_userhost" \
             command ls -aF1dL "$_path*" 2>/dev/null |
-            command sed -e 's/'"$_comp_cmd_scp__path_esc"'/'"$_escape_replacement"'/g' -e '/[^\/]$/d')
+            command gsed -e 's/'"$_comp_cmd_scp__path_esc"'/'"$_escape_replacement"'/g' -e '/[^\/]$/d')
     else
         # escape problematic characters; remove executables, aliases, pipes
         # and sockets; add space at end of file names
         # shellcheck disable=SC2090
         _files=$(ssh -o 'Batchmode yes' "$_userhost" \
             command ls -aF1dL "$_path*" 2>/dev/null |
-            command sed -e 's/'"$_comp_cmd_scp__path_esc"'/'"$_escape_replacement"'/g' -e 's/[*@|=]$//g' \
+            command gsed -e 's/'"$_comp_cmd_scp__path_esc"'/'"$_escape_replacement"'/g' -e 's/[*@|=]$//g' \
                 -e 's/[^\/]$/& /g')
     fi
     _comp_compgen -R split -l -- "$_files"
@@ -549,13 +549,13 @@ _comp_xfunc_scp_compgen_local_files()
     if [[ $_dirsonly ]]; then
         _comp_compgen -U files split -l -- "$(
             command ls -aF1dL "${files[@]}" 2>/dev/null |
-                command sed -e "s/$_comp_cmd_scp__path_esc/\\\\&/g" \
+                command gsed -e "s/$_comp_cmd_scp__path_esc/\\\\&/g" \
                     -e '/[^\/]$/d' -e "s/^/${1-}/"
         )"
     else
         _comp_compgen -U files split -l -- "$(
             command ls -aF1dL "${files[@]}" 2>/dev/null |
-                command sed -e "s/$_comp_cmd_scp__path_esc/\\\\&/g" \
+                command gsed -e "s/$_comp_cmd_scp__path_esc/\\\\&/g" \
                     -e 's/[*@|=]$//g' -e 's/[^\/]$/& /g' -e "s/^/${1-}/"
         )"
     fi
diff -pruN bash-completion-2.15.0.old/completions/strings bash-completion-2.15.0/completions/strings
--- bash-completion-2.15.0.old/completions/strings	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/strings	2024-11-30 21:20:51.861535991 +0100
@@ -18,12 +18,12 @@ _comp_cmd_strings()
             ;;
         --target | -${noargopts}T)
             _comp_compgen_split -- "$(LC_ALL=C "$1" --help 2>/dev/null |
-                command sed -ne 's/: supported targets: \(.*\)/\1/p')"
+                command gsed -ne 's/: supported targets: \(.*\)/\1/p')"
             return
             ;;
         --encoding | -${noargopts}e)
             _comp_compgen_split -F , -- "$(LC_ALL=C "$1" --help 2>/dev/null |
-                command sed -ne 's/.*--encoding={\([^}]*\)}.*/\1/p')"
+                command gsed -ne 's/.*--encoding={\([^}]*\)}.*/\1/p')"
             return
             ;;
     esac
@@ -34,7 +34,7 @@ _comp_cmd_strings()
         # macOS: ... [-t format] [-number] [-n number] ...
         _comp_compgen_help ||
             _comp_compgen_usage - <<<"$("$1" --help 2>&1 |
-                command sed -e "s/\[-number\]//")"
+                command gsed -e "s/\[-number\]//")"
         [[ ${COMPREPLY-} == *= ]] && compopt -o nospace
         return
     elif [[ $cur == @* ]]; then
diff -pruN bash-completion-2.15.0.old/completions/svcadm bash-completion-2.15.0/completions/svcadm
--- bash-completion-2.15.0.old/completions/svcadm	2020-01-11 19:58:32.000000000 +0100
+++ bash-completion-2.15.0/completions/svcadm	2024-11-30 21:20:52.409870879 +0100
@@ -25,7 +25,7 @@
 _gen_zoneadm_list()
 {
     if [[ ${prev} =~ "-z" ]]; then
-        local zones="$(zoneadm list -c | grep -v '^global$')"
+        local zones="$(zoneadm list -c | ggrep -v '^global$')"
         COMPREPLY=( $(compgen -W "${zones}" -- ${cur}) )
     fi
 }
@@ -133,7 +133,7 @@ _svcadm()
         else
             # svcadm [-v] milestone [-d] milestone_FMRI
             if [[ ${line} =~ -S ]]; then
-                command_list="$(echo ${command_list} | sed -e 's/milestone//')"
+                command_list="$(echo ${command_list} | gsed -e 's/milestone//')"
             fi
             COMPREPLY=( $(compgen -W "${command_list}" -- ${cur}) )
         fi
diff -pruN bash-completion-2.15.0.old/completions/svk bash-completion-2.15.0/completions/svk
--- bash-completion-2.15.0.old/completions/svk	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/svk	2024-11-30 21:20:52.031861575 +0100
@@ -198,7 +198,7 @@ _comp_cmd_svk()
                         path=//
                     fi
                     _comp_compgen_split -- "$("$1" list "$path" 2>/dev/null |
-                        command sed -e 's|\(.*\)|'"$path"'\1|')"
+                        command gsed -e 's|\(.*\)|'"$path"'\1|')"
                     ;;
                 *)
                     _comp_compgen_filedir
diff -pruN bash-completion-2.15.0.old/completions/sysbench bash-completion-2.15.0/completions/sysbench
--- bash-completion-2.15.0.old/completions/sysbench	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/sysbench	2024-11-30 21:20:52.136718972 +0100
@@ -75,7 +75,7 @@ _comp_cmd_sysbench()
             ;;
         --db-driver)
             _comp_compgen_split -- "$("$1" --test=oltp help 2>/dev/null |
-                command sed -e '/^.*database drivers:/,/^$/!d' \
+                command gsed -e '/^.*database drivers:/,/^$/!d' \
                     -ne 's/^  *\([^ ]*\) .*/\1/p')"
             return
             ;;
diff -pruN bash-completion-2.15.0.old/completions/tox bash-completion-2.15.0/completions/tox
--- bash-completion-2.15.0.old/completions/tox	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/tox	2024-11-30 21:20:52.228007757 +0100
@@ -33,7 +33,7 @@ _comp_cmd_tox()
                 } 2>/dev/null
             )
             [[ $envs ]] || envs=$(
-                command sed -e 's/,/ /g' -ne 's/^envlist[[:space:]]*=//p' \
+                command gsed -e 's/,/ /g' -ne 's/^envlist[[:space:]]*=//p' \
                     tox.ini 2>/dev/null
             )
             _comp_delimited , -X '*[{}]*' -W "$envs ALL"
diff -pruN bash-completion-2.15.0.old/completions/tshark bash-completion-2.15.0/completions/tshark
--- bash-completion-2.15.0.old/completions/tshark	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/tshark	2024-11-30 21:20:52.430715679 +0100
@@ -23,7 +23,7 @@ _comp_cmd_tshark()
                 _comp_compgen -c "${cur#*:}" filedir
             else
                 [[ -v _comp_cmd_tshark__prefs ]] ||
-                    _comp_cmd_tshark__prefs="$("$1" -G defaultprefs 2>/dev/null | command sed -ne 's/^#\{0,1\}\([a-z0-9_.-]\{1,\}:\).*/\1/p' |
+                    _comp_cmd_tshark__prefs="$("$1" -G defaultprefs 2>/dev/null | command gsed -ne 's/^#\{0,1\}\([a-z0-9_.-]\{1,\}:\).*/\1/p' |
                         tr '\n' ' ')"
                 : ${prefix:=}
                 _comp_compgen -c "${cur:${#prefix}}" -- -P "$prefix" \
diff -pruN bash-completion-2.15.0.old/completions/update-alternatives bash-completion-2.15.0/completions/update-alternatives
--- bash-completion-2.15.0.old/completions/update-alternatives	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/update-alternatives	2024-11-30 21:20:52.162634073 +0100
@@ -83,7 +83,7 @@ _comp_cmd_update_alternatives()
             _comp_cmd_update_alternatives__installed
             ;;
         *)
-            _comp_compgen_help - <<<"$(LANG=C "$1" --help 2>&1 | command sed '
+            _comp_compgen_help - <<<"$(LANG=C "$1" --help 2>&1 | command gsed '
                 /usage:/,/^[[:space:]]*$/{
                   s/^\([[:space:]]*usage:\)\{0,1\}[[:space:]]*[^[:space:]]*alternatives /  /
                   s/^[[:space:]]*\[\(-.*\)\]/  \1/
diff -pruN bash-completion-2.15.0.old/completions/valgrind bash-completion-2.15.0/completions/valgrind
--- bash-completion-2.15.0.old/completions/valgrind	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/valgrind	2024-11-30 21:20:51.974933031 +0100
@@ -72,7 +72,7 @@ _comp_cmd_valgrind()
         --+([-A-Za-z0-9_]))
             # shellcheck disable=SC2086
             local value=$("$1" --help-debug $tool 2>/dev/null |
-                command sed \
+                command gsed \
                     -ne "s|^[[:blank:]]*$prev=\([^[:blank:]]\{1,\}\).*|\1|p")
             case $value in
                 \<file*\>)
diff -pruN bash-completion-2.15.0.old/completions/wget bash-completion-2.15.0/completions/wget
--- bash-completion-2.15.0.old/completions/wget	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/wget	2024-11-30 21:20:52.272728505 +0100
@@ -123,7 +123,7 @@ _comp_cmd_wget()
             return
             ;;
         --user | --http-user | --proxy-user | --ftp-user)
-            _comp_compgen_split -- "$(command sed -n \
+            _comp_compgen_split -- "$(command gsed -n \
                 '/^login/s/^[[:blank:]]*login[[:blank:]]//p' ~/.netrc \
                 2>/dev/null)"
             return
diff -pruN bash-completion-2.15.0.old/completions/wol bash-completion-2.15.0/completions/wol
--- bash-completion-2.15.0.old/completions/wol	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/wol	2024-11-30 21:20:52.401762467 +0100
@@ -17,7 +17,7 @@ _comp_cmd_wol()
             _comp_compgen_split -- "$({
                 ip -c=never addr show || ip addr show || ifconfig -a
             } 2>/dev/null |
-                command sed \
+                command gsed \
                     -ne 's/.*[[:space:]]Bcast:\([^[:space:]]*\).*/\1/p' \
                     -ne 's/.*inet.*[[:space:]]brd[[:space:]]\([^[:space:]]*\).*/\1/p' \
                     -ne 's/.*[[:space:]]broadcast[[:space:]]\{1,\}\([^[:space:]]*\).*/\1/p')"
diff -pruN bash-completion-2.15.0.old/completions/wvdial bash-completion-2.15.0/completions/wvdial
--- bash-completion-2.15.0.old/completions/wvdial	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/wvdial	2024-11-30 21:20:52.440329030 +0100
@@ -33,7 +33,7 @@ _comp_cmd_wvdial()
             done
             # parse config files for sections and
             # remove default section
-            _comp_compgen_split -l -X 'Defaults' -- "$(command sed -ne \
+            _comp_compgen_split -l -X 'Defaults' -- "$(command gsed -ne \
                 's/^\[Dialer \(.*\)\]$/\1/p' "$config" 2>/dev/null)"
             # escape spaces
             COMPREPLY=("${COMPREPLY[@]// /\\ }")
diff -pruN bash-completion-2.15.0.old/completions/xgamma bash-completion-2.15.0/completions/xgamma
--- bash-completion-2.15.0.old/completions/xgamma	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/xgamma	2024-11-30 21:20:52.407349233 +0100
@@ -7,7 +7,7 @@ _comp_cmd_xgamma()
 
     case "$prev" in
         -screen)
-            local screens=$(xrandr --query 2>/dev/null | command sed -n \
+            local screens=$(xrandr --query 2>/dev/null | command gsed -n \
                 '/^Screen /s|^Screen \{1,\}\(.*\):.*$|\1|p' 2>/dev/null)
             _comp_compgen -- -W "$screens"
             return
@@ -30,7 +30,7 @@ _comp_cmd_xgamma()
                 compopt -o nospace
             elif [[ $cur == :*.* ]]; then
                 # local screen numbers
-                local t screens=$(xrandr --query 2>/dev/null | command sed -ne \
+                local t screens=$(xrandr --query 2>/dev/null | command gsed -ne \
                     '/^Screen /s|^Screen \{1,\}\(.*\):.*$|\1|p' 2>/dev/null)
                 t="${cur#:}"
                 _comp_compgen -c "${cur##*.}" -- -P "${t%.*}." -W '$screens'
diff -pruN bash-completion-2.15.0.old/completions/xrandr bash-completion-2.15.0/completions/xrandr
--- bash-completion-2.15.0.old/completions/xrandr	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/xrandr	2024-11-30 21:20:52.293893464 +0100
@@ -9,20 +9,20 @@ _comp_cmd_xrandr__compgen_monitors()
 {
     _comp_compgen_split -- "$(
         "$1" --listmonitors 2>/dev/null |
-            command sed -ne 's/.* [0-9]*: [+\*]*\([^ ]*\).*/\1/p'
+            command gsed -ne 's/.* [0-9]*: [+\*]*\([^ ]*\).*/\1/p'
     )"
 }
 
 _comp_cmd_xrandr__compgen_providers()
 {
     _comp_compgen_split -- "$("$1" --listproviders 2>/dev/null |
-        command sed -ne "s/.*cap:.*$2.* name:\([^ ]*\).*/\1/p")"
+        command gsed -ne "s/.*cap:.*$2.* name:\([^ ]*\).*/\1/p")"
 }
 
 _comp_cmd_xrandr__compgen_modes()
 {
     _comp_compgen_split -- "$(
-        "$1" -q 2>/dev/null | command sed \
+        "$1" -q 2>/dev/null | command gsed \
             -e "1,/^$2 / d" \
             -e '/connected/,$ d' \
             -e '/^[[:space:]]*h: / d' \
@@ -34,7 +34,7 @@ _comp_cmd_xrandr__compgen_modes()
 _comp_cmd_xrandr__compgen_all_modes()
 {
     _comp_compgen_split -- "$(
-        "$1" -q 2>/dev/null | command sed \
+        "$1" -q 2>/dev/null | command gsed \
             -e '/^[^[:space:]].*/ d' \
             -e '/^[[:space:]]*h: / d' \
             -e '/^[[:space:]]*v: / d' \
@@ -161,13 +161,13 @@ _comp_cmd_xrandr()
     if [[ $has_output ]]; then
         _comp_compgen -v options help - <<<"$(
             "$1" --help 2>/dev/null |
-                command sed -e 's/ or /\n  /g' -e 's/<[^>]*>]//g'
+                command gsed -e 's/ or /\n  /g' -e 's/<[^>]*>]//g'
         )"
     else
         # if no output is specified, remove per-output options
         _comp_compgen -v options help - <<<"$(
             "$1" --help 2>/dev/null |
-                command sed -e '/^  -/!d' -e 's/ or /\n  /g' -e 's/<[^>]*>]//g'
+                command gsed -e '/^  -/!d' -e 's/ or /\n  /g' -e 's/<[^>]*>]//g'
         )"
     fi
 
diff -pruN bash-completion-2.15.0.old/completions/xsltproc bash-completion-2.15.0/completions/xsltproc
--- bash-completion-2.15.0.old/completions/xsltproc	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/xsltproc	2024-11-30 21:20:52.368536251 +0100
@@ -16,7 +16,7 @@ _comp_cmd_xsltproc()
             ;;
         --encoding)
             # some aliases removed
-            local encodings=$(iconv -l | command sed -e 's/\/.*//')
+            local encodings=$(iconv -l | command gsed -e 's/\/.*//')
             _comp_compgen -- -X '@(UTF[1378]|8859|ISO[0-9_])*' -W '$encodings'
             return
             ;;
diff -pruN bash-completion-2.15.0.old/completions/zfs bash-completion-2.15.0/completions/zfs
--- bash-completion-2.15.0.old/completions/zfs	2020-01-11 19:58:32.000000000 +0100
+++ bash-completion-2.15.0/completions/zfs	2024-11-30 21:20:52.262348616 +0100
@@ -141,7 +141,7 @@ __zfs_match_multiple_snapshots()
                 return 1
             fi
             local range_start=$(expr "$cur" : '\(.*%\)')
-            $__ZFS_CMD list -H -o name -s name -t snapshot -d 1 $base_dataset | sed 's$.*@$'$range_start'$g'
+            $__ZFS_CMD list -H -o name -s name -t snapshot -d 1 $base_dataset | gsed 's$.*@$'$range_start'$g'
         fi
     else
         __zfs_match_snapshot_or_bookmark
diff -pruN bash-completion-2.15.0.old/completions/zones bash-completion-2.15.0/completions/zones
--- bash-completion-2.15.0.old/completions/zones	2020-01-11 19:58:32.000000000 +0100
+++ bash-completion-2.15.0/completions/zones	2024-11-30 21:20:52.411027650 +0100
@@ -31,7 +31,7 @@ _zlogin()
         esac
     else
       # Provide running zone names
-      local zones=$(zoneadm list | grep -v '^global$')
+      local zones=$(zoneadm list | ggrep -v '^global$')
       COMPREPLY=( $(compgen -W "${zones}" -- ${cur}) )
     fi
 }
@@ -45,7 +45,7 @@ _dash_z_zone()
 
     if [[ ${prev} =~ "-z" ]]; then
       # Provide running zone names
-      local zones="$(zoneadm list -c | grep -v '^global$')"
+      local zones="$(zoneadm list -c | ggrep -v '^global$')"
       COMPREPLY=( $(compgen -W "${zones}" -- ${cur}) )
     fi
 }
